2007-02-17 15:48  (ajdonnison)
---------------------------------
db/dotproject.sql
db/upgrade_101_to_102.sql
db/upgrade_102_to_20alpha.sql
db/upgrade_204_to_21rc1.sql
db/upgrade_latest.php
db/upgrade_latest.sql
db/upgrade_to_20.php
db/upgrade_to_201.php
db/upgrade_to_202.php
db/upgrade_to_204.php
db/upgrade_to_20beta.php
includes/version.php
install/do_install_db.php
- Fixed a number of outstanding issues in install/upgrade script so it should
- now be safe to upgrade from stable release to CVS to stable release without
- re-running code or losing track of versions or change dates.
- Also added the new version information.

2007-02-17 15:48  (ajdonnison)
---------------------------------
db/upgrade_204_to_21rc1.sql
- file upgrade_204_to_21rc1.sql was initially added on branch stable_2.

2007-02-17 12:44  (ajdonnison)
---------------------------------
classes/authenticator.class.php
- #1890 - Allow anon bind in LDAP auth.

2007-02-17 12:20  (ajdonnison)
---------------------------------
modules/system/viewmods.php
- Keep module list clean.

2007-02-17 12:20  (ajdonnison)
---------------------------------
modules/system/viewmods.php
- Slightly tidier and easier to maintain method of keeping module list clean.

2007-02-15 10:35  (nybod)
---------------------------------
modules/calendar/addedit.php
- Fixed small problem when comparing event_end_date to start date.

2007-02-15 10:32  (nybod)
---------------------------------
modules/calendar/addedit.php
- Fixed small problem in comparison of event_end_date to start date.

2007-02-14 23:26  (cyberhorse)
---------------------------------
modules/history/setup.php
- reformatted code
- updated names and order of indexes

2007-02-14 23:22  (cyberhorse)
---------------------------------
modules/history/setup.php
- #1879 - Optimized indexes on the history table to avoid slowdown.

2007-02-14 22:54  (cyberhorse)
---------------------------------
modules/system/syskeys/syskeys.class.php
modules/system/syskeys/syskeys.class.php
- #1883 - fixed - added a check, which doesn't allow an empty key type.

2007-02-14 02:44  (merlinyoda)
---------------------------------
modules/tasks/do_task_aed.php
- Fixed bug introduced by previous fix to #1695. Task parent was always
- being set to task's own id and making it a "root level" task.
- 
- Only existance of $_POST['new_task_project'] was checked and that
- value was not 0 but did not check that project actually changed.
- (that curreent project was different than new project).

2007-02-14 02:43  (merlinyoda)
---------------------------------
modules/tasks/do_task_aed.php
- 
- Fixed bug introduced by previous fix to #1695. Task parent was always
- being set to task's own id and making it a "root level" task.
- 
- Only existance of $_POST['new_task_project'] was checked and that
- value was not 0 but did not check that project actually changed.
- (that curreent project was different than new project).

2007-02-11 22:27  (cyberhorse)
---------------------------------
classes/ui.class.php
classes/ui.class.php
- #890 - fixed issue with quotes in passwords

2007-02-11 21:48  (cyberhorse)
---------------------------------
modules/system/system.class.php
modules/system/system.class.php
- fixed billingcode id remembered after update

2007-02-11 03:53  (caseydk)
---------------------------------
locales/en/system.inc
locales/en/system.inc
- fixed a translation typo;

2007-02-11 03:49  (caseydk)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
- added UserType to close out issue #1882;
- tweaked a sysval update statement to use the sysval_title as opposed to an id;

2007-02-11 03:40  (caseydk)
---------------------------------
modules/admin/addedituser.php
- cleaning out a bunch of deprecated code

2007-02-11 03:36  (caseydk)
---------------------------------
modules/calendar/links_events.php
- cleaned out some deprecated code

2007-02-10 07:42  (gregorerhardt)
---------------------------------
modules/system/billingcode.php
- billingcodes smartified on a early friday eve, now a date with a nice girl is following :)

2007-02-09 09:32  (caseydk)
---------------------------------
modules/admin/do_user_aed.php
modules/admin/do_user_aed.php
- fixed #1880 - creating a user was case sensitive but the login was not - therefore, you could create User and user but the only one could log in;

2007-02-09 07:58  (theideaman)
---------------------------------
style/classic/header.php
- hide background image if window is a popup

2007-02-07 23:17  (gregorerhardt)
---------------------------------
modules/files/do_file_aed.php
modules/files/files.class.php
- Fixing an unreported bug where the existing file has not been deleted on replacement via addedit - not via co and versioning

2007-02-07 22:55  (gregorerhardt)
---------------------------------
modules/files/do_file_aed.php
modules/files/files.class.php
- Fixing an unreported bug where the existing file has not been deleted on replacement via addedit - not via co and versioning

2007-02-07 00:29  (cyberhorse)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
- Updated db scripts for files module

2007-02-07 00:24  (cyberhorse)
---------------------------------
modules/files/addedit.php
modules/files/addedit_folder.php
modules/files/co.php
modules/files/companies_tab.files.php
modules/files/do_file_aed.php
modules/files/do_file_co.php
modules/files/do_files_bulk_aed.php
modules/files/do_folder_aed.php
modules/files/files.class.php
modules/files/folders_table.php
modules/files/functions.php
modules/files/index.php
modules/files/index_table.new.php
modules/files/index_table.php
modules/files/projects_tab.files.php
modules/files/images/back.png
modules/files/images/down.png
modules/files/images/duplicate.png
modules/files/images/edit_add.png
modules/files/images/filesaveas.png
modules/files/images/folder5_small.png
modules/files/images/folder_new.png
modules/files/images/home.png
modules/files/images/kedit.png
modules/files/images/remove.png
modules/files/images/up.png
modules/files/images/icons/ac3.png
modules/files/images/icons/aiff.png
modules/files/images/icons/application-certificate.png
modules/files/images/icons/application-x-executable.png
modules/files/images/icons/applix.png
modules/files/images/icons/arj.png
modules/files/images/icons/ascii.png
modules/files/images/icons/audio-x-generic.png
modules/files/images/icons/audio.png
modules/files/images/icons/binary.png
modules/files/images/icons/bmp.png
modules/files/images/icons/bz2.png
modules/files/images/icons/cbz.png
modules/files/images/icons/cdbo_list.png
modules/files/images/icons/cdimage.png
modules/files/images/icons/cdr.png
modules/files/images/icons/cdtrack.png
modules/files/images/icons/colorscm.png
modules/files/images/icons/deb.png
modules/files/images/icons/dia.png
modules/files/images/icons/documents.png
modules/files/images/icons/documents2.png
modules/files/images/icons/empty.png
modules/files/images/icons/encrypted.png
modules/files/images/icons/exec_wine.png
modules/files/images/icons/exec_wine1.png
modules/files/images/icons/file_locked.png
modules/files/images/icons/file_temporary.png
modules/files/images/icons/font-x-generic.png
modules/files/images/icons/font.png
modules/files/images/icons/font_truetype.png
modules/files/images/icons/ggnome-mime-application-x-class-file.png
modules/files/images/icons/gif.png
modules/files/images/icons/gnome-library.png
modules/files/images/icons/gnome-mime-application-magicpoint.png
modules/files/images/icons/gnome-mime-application-msword.png
modules/files/images/icons/gnome-mime-application-ogg.png
modules/files/images/icons/gnome-mime-application-par.png
modules/files/images/icons/gnome-mime-application-pdf.png
modules/files/images/icons/gnome-mime-application-pgp-encrypted.png
modules/files/images/icons/gnome-mime-application-pgp-keys.png
modules/files/images/icons/gnome-mime-application-pgp.png
modules/files/images/icons/gnome-mime-application-postscript.png
modules/files/images/icons/gnome-mime-application-rtf.png
modules/files/images/icons/gnome-mime-application-vnd.lotus-1-2-3.png
modules/files/images/icons/gnome-mime-application-vnd.ms-excel.png
modules/files/images/icons/gnome-mime-application-vnd.ms-powerpoint.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.chart.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.database.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.drawing.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.formula.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.graphics-template.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.image.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.presentation-template.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.presentation.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.text-template.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.text-web.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.text.png
modules/files/images/icons/gnome-mime-application-vnd.stardivision.calc.png
modules/files/images/icons/gnome-mime-application-vnd.stardivision.impress.png
modules/files/images/icons/gnome-mime-application-vnd.stardivision.writer.png
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.calc.png
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.draw.png
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.impress.png
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.writer.png
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.writer.template.png
modules/files/images/icons/gnome-mime-application-wordperfect.png
modules/files/images/icons/gnome-mime-application-x-abiword.png
modules/files/images/icons/gnome-mime-application-x-applix-spreadsheet.png
modules/files/images/icons/gnome-mime-application-x-archive.png
modules/files/images/icons/gnome-mime-application-x-arj.png
modules/files/images/icons/gnome-mime-application-x-bittorrent.png
modules/files/images/icons/gnome-mime-application-x-bzip-compressed-tar.png
modules/files/images/icons/gnome-mime-application-x-bzip.png
modules/files/images/icons/gnome-mime-application-x-cd-image.png
modules/files/images/icons/gnome-mime-application-x-compress.png
modules/files/images/icons/gnome-mime-application-x-compressed-tar.png
modules/files/images/icons/gnome-mime-application-x-cpio-compressed.png
modules/files/images/icons/gnome-mime-application-x-cpio.png
modules/files/images/icons/gnome-mime-application-x-deb.png
modules/files/images/icons/gnome-mime-application-x-desktop.png
modules/files/images/icons/gnome-mime-application-x-dia-diagram.png
modules/files/images/icons/gnome-mime-application-x-extension-nfo.png
modules/files/images/icons/gnome-mime-application-x-extension-par2.png
modules/files/images/icons/gnome-mime-application-x-gnumeric.png
modules/files/images/icons/gnome-mime-application-x-gzip.png
modules/files/images/icons/gnome-mime-application-x-ipod-firmware.png
modules/files/images/icons/gnome-mime-application-x-jar.png
modules/files/images/icons/gnome-mime-application-x-java-byte-code.png
modules/files/images/icons/gnome-mime-application-x-lha.png
modules/files/images/icons/gnome-mime-application-x-lhz.png
modules/files/images/icons/gnome-mime-application-x-par2.png
modules/files/images/icons/gnome-mime-application-x-perl.png
modules/files/images/icons/gnome-mime-application-x-php.png
modules/files/images/icons/gnome-mime-application-x-python-bytecode.png
modules/files/images/icons/gnome-mime-application-x-python.png
modules/files/images/icons/gnome-mime-application-x-rar.png
modules/files/images/icons/gnome-mime-application-x-rpm.png
modules/files/images/icons/gnome-mime-application-x-sharedlib.png
modules/files/images/icons/gnome-mime-application-x-shellscript.png
modules/files/images/icons/gnome-mime-application-x-tar.png
modules/files/images/icons/gnome-mime-application-x-zip-compressed.png
modules/files/images/icons/gnome-mime-application-x-zip.png
modules/files/images/icons/gnome-mime-application-zip.png
modules/files/images/icons/gnome-mime-application.png
modules/files/images/icons/gnome-mime-audio-ac3.png
modules/files/images/icons/gnome-mime-audio-basic.png
modules/files/images/icons/gnome-mime-audio-midi.png
modules/files/images/icons/gnome-mime-audio-x-aiff.png
modules/files/images/icons/gnome-mime-audio-x-it.png
modules/files/images/icons/gnome-mime-audio-x-midi.png
modules/files/images/icons/gnome-mime-audio-x-mod.png
modules/files/images/icons/gnome-mime-audio-x-mp3.png
modules/files/images/icons/gnome-mime-audio-x-s3m.png
modules/files/images/icons/gnome-mime-audio-x-stm.png
modules/files/images/icons/gnome-mime-audio-x-ulaw.png
modules/files/images/icons/gnome-mime-audio-x-voc.png
modules/files/images/icons/gnome-mime-audio-x-wav.png
modules/files/images/icons/gnome-mime-audio-x-xi.png
modules/files/images/icons/gnome-mime-audio-x-xm.png
modules/files/images/icons/gnome-mime-audio.png
modules/files/images/icons/gnome-mime-image-bmp.png
modules/files/images/icons/gnome-mime-image-gif.png
modules/files/images/icons/gnome-mime-image-ief.png
modules/files/images/icons/gnome-mime-image-jpeg.png
modules/files/images/icons/gnome-mime-image-png.png
modules/files/images/icons/gnome-mime-image-svg+xml.png
modules/files/images/icons/gnome-mime-image-tiff.png
modules/files/images/icons/gnome-mime-image-x-psd.png
modules/files/images/icons/gnome-mime-image-x-rgb.png
modules/files/images/icons/gnome-mime-image-x-tga.png
modules/files/images/icons/gnome-mime-image-x-xbitmap.png
modules/files/images/icons/gnome-mime-image-x-xcf.png
modules/files/images/icons/gnome-mime-image-x-xfig.png
modules/files/images/icons/gnome-mime-image-x-xpixmap.png
modules/files/images/icons/gnome-mime-image.png
modules/files/images/icons/gnome-mime-text-css.png
modules/files/images/icons/gnome-mime-text-html.png
modules/files/images/icons/gnome-mime-text-plain.png
modules/files/images/icons/gnome-mime-text-x-authors.png
modules/files/images/icons/gnome-mime-text-x-c++src.png
modules/files/images/icons/gnome-mime-text-x-c-header.png
modules/files/images/icons/gnome-mime-text-x-c.png
modules/files/images/icons/gnome-mime-text-x-chdr.png
modules/files/images/icons/gnome-mime-text-x-credits.png
modules/files/images/icons/gnome-mime-text-x-csh.png
modules/files/images/icons/gnome-mime-text-x-csharp.png
modules/files/images/icons/gnome-mime-text-x-csrc.png
modules/files/images/icons/gnome-mime-text-x-haskell.png
modules/files/images/icons/gnome-mime-text-x-install.png
modules/files/images/icons/gnome-mime-text-x-java.png
modules/files/images/icons/gnome-mime-text-x-literate-haskell.png
modules/files/images/icons/gnome-mime-text-x-objcsrc.png
modules/files/images/icons/gnome-mime-text-x-python.png
modules/files/images/icons/gnome-mime-text-x-readme.png
modules/files/images/icons/gnome-mime-text-x-scheme.png
modules/files/images/icons/gnome-mime-text-x-tex.png
modules/files/images/icons/gnome-mime-text-x-txt.png
modules/files/images/icons/gnome-mime-text-xml.png
modules/files/images/icons/gnome-mime-text.png
modules/files/images/icons/gnome-mime-video-mpeg.png
modules/files/images/icons/gnome-mime-video-quicktime.png
modules/files/images/icons/gnome-mime-video-x-ms-asf.png
modules/files/images/icons/gnome-mime-video-x-ms-wmv.png
modules/files/images/icons/gnome-mime-video-x-msvideo.png
modules/files/images/icons/gnome-mime-video.png
modules/files/images/icons/gnome-mime-x-directory-smb-server.png
modules/files/images/icons/gnome-mime-x-directory-smb-share.png
modules/files/images/icons/gnome-package.png
modules/files/images/icons/gz.png
modules/files/images/icons/html.png
modules/files/images/icons/ief.png
modules/files/images/icons/image-x-generic.png
modules/files/images/icons/image.png
modules/files/images/icons/image2.png
modules/files/images/icons/info.png
modules/files/images/icons/jpeg.png
modules/files/images/icons/jpg.png
modules/files/images/icons/lha.png
modules/files/images/icons/lhz.png
modules/files/images/icons/message.png
modules/files/images/icons/midi.png
modules/files/images/icons/mime-colorset.png
modules/files/images/icons/mime-empty.png
modules/files/images/icons/mime-help.png
modules/files/images/icons/mime-postscript.png
modules/files/images/icons/mime_ascii.png
modules/files/images/icons/mime_cdr.png
modules/files/images/icons/mime_colorset.png
modules/files/images/icons/mime_empty.png
modules/files/images/icons/mime_koffice.png
modules/files/images/icons/misc.png
modules/files/images/icons/mod.png
modules/files/images/icons/mp3.png
modules/files/images/icons/package-x-generic.png
modules/files/images/icons/par.png
modules/files/images/icons/pdf.png
modules/files/images/icons/php.png
modules/files/images/icons/pix.png
modules/files/images/icons/png.png
modules/files/images/icons/ps.png
modules/files/images/icons/psd.png
modules/files/images/icons/quicktime.png
modules/files/images/icons/rar.png
modules/files/images/icons/recycled.png
modules/files/images/icons/rgb.png
modules/files/images/icons/rpm.png
modules/files/images/icons/s3m.png
modules/files/images/icons/schedule.png
modules/files/images/icons/shellscript.png
modules/files/images/icons/sound.png
modules/files/images/icons/source_c.png
modules/files/images/icons/source_cpp.png
modules/files/images/icons/source_h.png
modules/files/images/icons/source_java.png
modules/files/images/icons/source_php.png
modules/files/images/icons/source_py.png
modules/files/images/icons/source_pyc.png
modules/files/images/icons/spreadsheet.png
modules/files/images/icons/stm.png
modules/files/images/icons/svg.png
modules/files/images/icons/tar.png
modules/files/images/icons/template_source.png
modules/files/images/icons/tex.png
modules/files/images/icons/text-html.png
modules/files/images/icons/text-x-generic-template.png
modules/files/images/icons/text-x-generic.png
modules/files/images/icons/text-x-script.png
modules/files/images/icons/text.png
modules/files/images/icons/tga.png
modules/files/images/icons/tgz.png
modules/files/images/icons/tiff.png
modules/files/images/icons/txt.png
modules/files/images/icons/ulaw.png
modules/files/images/icons/unknown.png
modules/files/images/icons/vcalendar.png
modules/files/images/icons/video-x-generic.png
modules/files/images/icons/video.png
modules/files/images/icons/vmlinuz.png
modules/files/images/icons/voc.png
modules/files/images/icons/wav.png
modules/files/images/icons/x-office-address-book.png
modules/files/images/icons/x-office-calendar.png
modules/files/images/icons/x-office-document.png
modules/files/images/icons/x-office-presentation.png
modules/files/images/icons/x-office-spreadsheet.png
modules/files/images/icons/xcf.png
modules/files/images/icons/xfig.png
modules/files/images/icons/xi.png
modules/files/images/icons/xm.png
modules/files/images/icons/zip.png
- Updating files module with pedro's update

2007-02-06 05:18  (caseydk)
---------------------------------
modules/tasks/do_task_aed.php
- fix from #1695 - when moving a task to a new project, it resets its task_parent - was causing odd display errors elsewhere

2007-02-04 23:00  (gregorerhardt)
---------------------------------
modules/projects/gantt.php
modules/projects/gantt.php
- 1611 - corrected start dates for task workers in project gantt

2007-02-04 22:37  (gregorerhardt)
---------------------------------
modules/tasks/do_task_aed.php
modules/tasks/do_task_aed.php
- 1799 - sql error on saving with inexisting task dependency

2007-02-04 14:55  (cyberhorse)
---------------------------------
modules/projects/vw_logs.php
modules/projects/vw_logs.php
modules/tasks/projects_tab.view.task_logs.php
- #1764 - show deleted costcodes at the end of the filter

2007-02-04 14:09  (cyberhorse)
---------------------------------
modules/system/billingcode.php
modules/system/do_billingcode_aed.php
modules/system/system.class.php
- #1764 - added ability to edit billing codes

2007-02-04 14:07  (cyberhorse)
---------------------------------
modules/system/billingcode.php
modules/system/system.class.php
- show deleted codes and allow editing them

2007-02-04 13:52  (cyberhorse)
---------------------------------
modules/system/billingcode.php
modules/system/do_billingcode_aed.php
modules/system/system.class.php
- #1764 - fixed/improved billingcode editing

2007-02-04 13:41  (cyberhorse)
---------------------------------
modules/system/billingcode.php
modules/system/do_billingcode_aed.php
modules/system/system.class.php
- #1764 - added ability to edit billing codes

2007-02-04 13:00  (cyberhorse)
---------------------------------
modules/tasks/addedit.js
modules/tasks/addedit.js
- #1849 - added a check for end date to be after start date if "check
- dates" system config is enabled.

2007-02-04 01:32  (nybod)
---------------------------------
modules/admin/do_user_aed.php
- After new user creation redirect to new user's permissions tab.

2007-02-04 00:09  (gregorerhardt)
---------------------------------
index.php
index.php
- 1767 - disappearing tabs: unset commonly used reference variable

2007-02-03 21:48  (gregorerhardt)
---------------------------------
install/check_upgrade.php
- corrected typo in basedir define

2007-02-03 21:48  (gregorerhardt)
---------------------------------
db/upgrade_latest.sql
- adding missing folder table structure on upgrade

2007-02-03 05:11  (merlinyoda)
---------------------------------
modules/projects/addedit.php
- 
- Put back department selecting functionality for new projects.
- Button appears for new projects. Drop-down appears for editing projects

2007-02-03 03:06  (merlinyoda)
---------------------------------
modules/projects/addedit.php
- 
- Further modification to department selection for projects.
- Departments cannot be selected until after new project is saved.
- "Temporary" work-around until something can be sorted out for
- to populate/re-populate departments when company is selected.

2007-02-02 23:41  (nybod)
---------------------------------
modules/admin/addedituser.php
- Added asterisk beside "User Role" to denote it as a required field: removed asterisk beside "User Type" as it is not a required field.

2007-02-02 23:11  (pedroix)
---------------------------------
modules/tasks/gantt.php
modules/tasks/gantt.php
- Only one dependency line was being drawn when there was more than one dependency (when several tasks depended on the end of only one task)

2007-02-02 10:58  (nybod)
---------------------------------
locales/en/admin.inc
modules/admin/addedituser.php
modules/admin/do_user_aed.php
- Made adding a role a requirement when creating a new user; made sending email to new user optional

2007-02-02 06:08  (merlinyoda)
---------------------------------
modules/projects/gantt.php
modules/projects/gantt2.php
modules/tasks/gantt.php
- 
- 
- Fixed an issue with Gantt chart locale as noted
- (several times apparently:-)) on dP Forums
- URL:
- http://www.dotproject.net/vbulletin/showpost.php?p=26964&postcount=25
- 
- Slight variation from suggested fix:
- Instead of changing
- $graph->scale->SetDateLocale( $AppUI->user_lang[0] );
- to
- $graph->scale->SetDateLocale( $AppUI->user_lang[1] );
- changed to
- $graph->scale->SetDateLocale( $AppUI->user_lang[2] );

2007-02-01 18:31  (ajdonnison)
---------------------------------
classes/event_queue.class.php
- #1773 - Don't crash out on missing or invalid methods.

2007-02-01 18:26  (ajdonnison)
---------------------------------
classes/event_queue.class.php
- #1773 - Don't crash on invalid method/class in event queue.

2007-02-01 07:16  (merlinyoda)
---------------------------------
db/upgrade_latest.php
db/upgrade_latest.sql
db/upgrade_sysvals.php
- 
- Fixing bug involving certain sysvals.

2007-02-01 06:05  (merlinyoda)
---------------------------------
modules/companies/companies.class.php
modules/projects/addedit.php
- 
- Fixed typo from bugfix in modules/projects/addedit.php
- 
- Commented out "FIXME" line of code that was causing error
- in modules/companies/companies.class.php since users apparently no longer
- have a company and department information.
- (Company and Department should probably be dropped from user view/edit
- screens if we really are dropping these fields)

2007-02-01 04:16  (merlinyoda)
---------------------------------
modules/projects/addedit.php
modules/tasks/addedit.php
- Fix for Mantis Bug 1763. Make multi-select form objects into drop-downs
- for Department field.

2007-02-01 04:12  (merlinyoda)
---------------------------------
modules/projects/addedit.php
modules/tasks/addedit.php
- 
- Fix for Mantis Bug 1763. Make multi-select form objects into drop-downs
- for Department field.

2007-01-31 20:36  (ajdonnison)
---------------------------------
base.php
fileviewer.php
index.php
queuescanner.php
classes/CustomFields.class.php
classes/authenticator.class.php
classes/customfieldsparser.class.php
classes/date.class.php
classes/dp.class.php
classes/event_queue.class.php
classes/libmail.class.php
classes/permissions.class.php
classes/query.class.php
classes/ui.class.php
db/upgrade_contacts.php
db/upgrade_contacts_company.php
db/upgrade_latest.php
db/upgrade_permissions.php
db/upgrade_to_20.php
db/upgrade_to_201.php
db/upgrade_to_202.php
db/upgrade_to_204.php
db/upgrade_to_20beta.php
includes/db_adodb.php
includes/db_connect.php
includes/main_functions.php
includes/permissions.php
includes/sendpass.php
includes/session.php
install/check_upgrade.php
install/do_install_db.php
install/vw_idx_check.php
lib/phpgacl/admin/gacl_admin.inc.php
modules/admin/addedituser.php
modules/admin/vw_usr_roles.php
modules/calendar/clash.php
modules/forums/view_pdf.php
modules/projects/reports.php
modules/public/calendar.php
modules/public/date_format.php
modules/system/systemconfig.php
modules/system/translate_save.php
modules/tasks/tasks.class.php
modules/tasks/todo.php
- First cut of using defines instead of globals to bypass a slew of register_globals related issues.

2007-01-31 06:37  (merlinyoda)
---------------------------------
modules/admin/index.php
modules/admin/index.php
- 
- Added additional check on user administration index page to make sure
- that "orderby" value is not an invalid column from the "Active Sessions"
- tab (tab=3) (this would cause a minor error when switching tabs).
- Otherwise orderby is set to 'user_username'.

2007-01-30 20:32  (pedroix)
---------------------------------
modules/files/files.class.php
- A last query DBQueried

2007-01-30 11:25  (nybod)
---------------------------------
images/googlemaps.gif
- file googlemaps.gif was initially added on branch stable_2.

2007-01-30 11:25  (nybod)
---------------------------------
images/googlemaps.gif
modules/contacts/view.php
- Added feature: lookup of contact address on Google Maps, may need some tweaking for non-US addresses. Modified  /contacts/view.php and added new file, /images/GoogleMaps.gif

2007-01-30 10:50  (merlinyoda)
---------------------------------
modules/tasks/addedit.php
- 
- Fixed Mantis Bug 1857:
- Task name unnecessarily being run through dPformSafe()
- on Add/Edit display page.

2007-01-30 00:11  (cyberhorse)
---------------------------------
db/dotproject.sql
- file_folder field doesn't exist (guessing pedro's folder contribution)

2007-01-29 14:38  (pedroix)
---------------------------------
modules/smartsearch/images/kfind.png
- file kfind.png was initially added on branch stable_2.

2007-01-29 14:37  (pedroix)
---------------------------------
modules/smartsearch/index.php
modules/smartsearch/setup.php
modules/smartsearch/smartsearch.class.php
modules/smartsearch/searchobjects/companies.inc.php
modules/smartsearch/searchobjects/contacts.inc.php
modules/smartsearch/searchobjects/departments.inc.php
modules/smartsearch/searchobjects/events.inc.php
modules/smartsearch/searchobjects/files.inc.php
modules/smartsearch/searchobjects/files_content.inc.php
modules/smartsearch/searchobjects/forum_messages.inc.php
modules/smartsearch/searchobjects/forums.inc.php
modules/smartsearch/searchobjects/projects.inc.php
modules/smartsearch/searchobjects/task_log.inc.php
modules/smartsearch/searchobjects/tasks.inc.php
modules/smartsearch/searchobjects/tickets.inc.php
modules/smartsearch/searchobjects/users.inc.php
modules/smartsearch/images/kfind.png
- SmartSearch module upgraded

2007-01-29 13:51  (pedroix)
---------------------------------
modules/files/index_table.php
- "to be project_active or not to be project_active that is the question"

2007-01-29 13:27  (pedroix)
---------------------------------
includes/main_functions.php
- Make sure XSS protection is run against the blacklist correctly

2007-01-28 14:37  (ajdonnison)
---------------------------------
install/check_upgrade.php
install/db.php
install/do_install_db.php
- Better detection of existing database or missing tables, cleaned up
- secondary pages so they still work with an existing config file.

2007-01-28 14:17  (ajdonnison)
---------------------------------
classes/authenticator.class.php
- Split out authentication classes to allow pluggable authentication,
- Added multiple LDAP server support using ; separated list of hosts.

2007-01-28 13:49  (ajdonnison)
---------------------------------
classes/ui.class.php
- Removed template creation from the constructor as it gets corrupted on
- saving to session and re-initialising on wakeup.  Now creates the template
- class instance just prior to initialising it.  This fixes problems with
- smarty errors on missing functions, etc.

2007-01-28 09:56  (caseydk)
---------------------------------
modules/public/chpwd.php
- fixed a nasty one where changing your password would blank out your own account - not happy with the fix (raw sql) but it works;

2007-01-28 09:55  (caseydk)
---------------------------------
modules/tasks/addedit.php
- changed this to get users in the user's preferred format;

2007-01-28 09:09  (caseydk)
---------------------------------
modules/tasks/ae_resource.php
- fixed bug that would only show 100% assignment instead of all of them - should be changed to fit Smarty instead of string concat;

2007-01-27 09:27  (caseydk)
---------------------------------
modules/tasks/tasks.class.php
- some bad sql was causing the daily todo screen to die;

2007-01-27 03:49  (pedroix)
---------------------------------
modules/files/addedit_folder.php
- Last minute bug squash, cancel button thing

2007-01-27 03:42  (pedroix)
---------------------------------
modules/files/addedit.php
modules/files/folders_table.php
- "to be project_active or not to be project_active that is the question"

2007-01-27 03:02  (pedroix)
---------------------------------
db/upgrade_latest.sql
- file_folder new field

2007-01-27 02:50  (pedroix)
---------------------------------
db/dotproject.sql
- file_folders new table

2007-01-27 02:40  (pedroix)
---------------------------------
modules/admin/addedituser.php
modules/admin/do_user_aed.php
- Create a new user with a role and notification

2007-01-27 02:19  (pedroix)
---------------------------------
modules/files/do_folder_aed.php
- file do_folder_aed.php was initially added on branch stable_2.

2007-01-27 02:19  (pedroix)
---------------------------------
modules/files/folders_table.php
- file folders_table.php was initially added on branch stable_2.

2007-01-27 02:19  (pedroix)
---------------------------------
modules/files/functions.php
- file functions.php was initially added on branch stable_2.

2007-01-27 02:19  (pedroix)
---------------------------------
modules/files/do_files_bulk_aed.php
- file do_files_bulk_aed.php was initially added on branch stable_2.

2007-01-27 02:19  (pedroix)
---------------------------------
modules/files/do_files_bulk_aed.php
modules/files/do_folder_aed.php
modules/files/folders_table.php
modules/files/functions.php
- Files module updated to folders

2007-01-27 02:16  (pedroix)
---------------------------------
modules/files/addedit_folder.php
- file addedit_folder.php was initially added on branch stable_2.

2007-01-27 02:15  (pedroix)
---------------------------------
modules/files/addedit.php
modules/files/addedit_folder.php
modules/files/co.php
modules/files/companies_tab.files.php
modules/files/do_file_aed.php
modules/files/do_file_co.php
modules/files/files.class.php
modules/files/index.php
modules/files/index_table.php
modules/files/projects_tab.files.php
- Files module updated to folders

2007-01-27 02:12  (pedroix)
---------------------------------
modules/files/images/up.png
- file up.png was initially added on branch stable_2.

2007-01-27 02:12  (pedroix)
---------------------------------
modules/files/images/up.png
- Open source support icons for the files module

2007-01-27 02:00  (pedroix)
---------------------------------
modules/files/images/filesaveas.png
- file filesaveas.png was initially added on branch stable_2.

2007-01-27 02:00  (pedroix)
---------------------------------
modules/files/images/folder_new.png
- file folder_new.png was initially added on branch stable_2.

2007-01-27 02:00  (pedroix)
---------------------------------
modules/files/images/folder5_small.png
- file folder5_small.png was initially added on branch stable_2.

2007-01-27 02:00  (pedroix)
---------------------------------
modules/files/images/home.png
- file home.png was initially added on branch stable_2.

2007-01-27 02:00  (pedroix)
---------------------------------
modules/files/images/kedit.png
- file kedit.png was initially added on branch stable_2.

2007-01-27 02:00  (pedroix)
---------------------------------
modules/files/images/remove.png
- file remove.png was initially added on branch stable_2.

2007-01-27 02:00  (pedroix)
---------------------------------
modules/files/images/back.png
- file back.png was initially added on branch stable_2.

2007-01-27 02:00  (pedroix)
---------------------------------
modules/files/images/back.png
modules/files/images/down.png
modules/files/images/duplicate.png
modules/files/images/edit_add.png
modules/files/images/filesaveas.png
modules/files/images/folder5_small.png
modules/files/images/folder_new.png
modules/files/images/home.png
modules/files/images/kedit.png
modules/files/images/remove.png
- Open source support icons for the files module

2007-01-27 02:00  (pedroix)
---------------------------------
modules/files/images/down.png
- file down.png was initially added on branch stable_2.

2007-01-27 02:00  (pedroix)
---------------------------------
modules/files/images/duplicate.png
- file duplicate.png was initially added on branch stable_2.

2007-01-27 02:00  (pedroix)
---------------------------------
modules/files/images/edit_add.png
- file edit_add.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/vmlinuz.png
- file vmlinuz.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/x-office-address-book.png
- file x-office-address-book.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/x-office-calendar.png
- file x-office-calendar.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/xi.png
- file xi.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/x-office-document.png
- file x-office-document.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/zip.png
- file zip.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/voc.png
- file voc.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/x-office-presentation.png
- file x-office-presentation.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/xfig.png
- file xfig.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/x-office-spreadsheet.png
- file x-office-spreadsheet.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/xcf.png
- file xcf.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/video.png
- file video.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/xm.png
- file xm.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/wav.png
- file wav.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/text.png
- file text.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/text-x-script.png
- file text-x-script.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/video-x-generic.png
- file video-x-generic.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/unknown.png
- file unknown.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/txt.png
- file txt.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/source_py.png
- file source_py.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/tex.png
- file tex.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/tga.png
- file tga.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/text-html.png
- file text-html.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/spreadsheet.png
- file spreadsheet.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/source_pyc.png
- file source_pyc.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/svg.png
- file svg.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/tgz.png
- file tgz.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/ulaw.png
- file ulaw.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/tar.png
- file tar.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/text-x-generic.png
- file text-x-generic.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/text-x-generic-template.png
- file text-x-generic-template.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/vcalendar.png
- file vcalendar.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/tiff.png
- file tiff.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/stm.png
- file stm.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/template_source.png
- file template_source.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/rgb.png
- file rgb.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/shellscript.png
- file shellscript.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/php.png
- file php.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/png.png
- file png.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/mp3.png
- file mp3.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/psd.png
- file psd.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/source_php.png
- file source_php.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/pix.png
- file pix.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/par.png
- file par.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/rpm.png
- file rpm.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/source_java.png
- file source_java.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/pdf.png
- file pdf.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/package-x-generic.png
- file package-x-generic.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/quicktime.png
- file quicktime.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/ps.png
- file ps.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/rar.png
- file rar.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/source_cpp.png
- file source_cpp.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/schedule.png
- file schedule.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/sound.png
- file sound.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/s3m.png
- file s3m.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/recycled.png
- file recycled.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/source_c.png
- file source_c.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/source_h.png
- file source_h.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/image-x-generic.png
- file image-x-generic.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/image2.png
- file image2.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/midi.png
- file midi.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/mime_colorset.png
- file mime_colorset.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/mime-postscript.png
- file mime-postscript.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/jpeg.png
- file jpeg.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/mime-help.png
- file mime-help.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/misc.png
- file misc.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/image.png
- file image.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/mime_cdr.png
- file mime_cdr.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/info.png
- file info.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/mod.png
- file mod.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/message.png
- file message.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/jpg.png
- file jpg.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/lha.png
- file lha.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/lhz.png
- file lhz.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/html.png
- file html.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/mime_ascii.png
- file mime_ascii.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/mime_koffice.png
- file mime_koffice.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/mime-empty.png
- file mime-empty.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/mime-colorset.png
- file mime-colorset.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/ief.png
- file ief.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/mime_empty.png
- file mime_empty.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-xml.png
- file gnome-mime-text-xml.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-video.png
- file gnome-mime-video.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-video-x-ms-asf.png
- file gnome-mime-video-x-ms-asf.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gz.png
- file gz.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-objcsrc.png
- file gnome-mime-text-x-objcsrc.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-x-directory-smb-share.png
- file gnome-mime-x-directory-smb-share.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-tex.png
- file gnome-mime-text-x-tex.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-video-x-ms-wmv.png
- file gnome-mime-video-x-ms-wmv.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text.png
- file gnome-mime-text.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-java.png
- file gnome-mime-text-x-java.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-literate-haskell.png
- file gnome-mime-text-x-literate-haskell.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-video-quicktime.png
- file gnome-mime-video-quicktime.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-video-mpeg.png
- file gnome-mime-video-mpeg.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-x-directory-smb-server.png
- file gnome-mime-x-directory-smb-server.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-readme.png
- file gnome-mime-text-x-readme.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-scheme.png
- file gnome-mime-text-x-scheme.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-package.png
- file gnome-package.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-python.png
- file gnome-mime-text-x-python.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-video-x-msvideo.png
- file gnome-mime-video-x-msvideo.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-txt.png
- file gnome-mime-text-x-txt.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-tiff.png
- file gnome-mime-image-tiff.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-authors.png
- file gnome-mime-text-x-authors.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-html.png
- file gnome-mime-text-html.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-c++src.png
- file gnome-mime-text-x-c++src.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-x-xpixmap.png
- file gnome-mime-image-x-xpixmap.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-credits.png
- file gnome-mime-text-x-credits.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-x-tga.png
- file gnome-mime-image-x-tga.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-x-xfig.png
- file gnome-mime-image-x-xfig.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-haskell.png
- file gnome-mime-text-x-haskell.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-c.png
- file gnome-mime-text-x-c.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-x-psd.png
- file gnome-mime-image-x-psd.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-css.png
- file gnome-mime-text-css.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-install.png
- file gnome-mime-text-x-install.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-csrc.png
- file gnome-mime-text-x-csrc.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-x-xcf.png
- file gnome-mime-image-x-xcf.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-c-header.png
- file gnome-mime-text-x-c-header.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-plain.png
- file gnome-mime-text-plain.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-x-xbitmap.png
- file gnome-mime-image-x-xbitmap.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-chdr.png
- file gnome-mime-text-x-chdr.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-x-rgb.png
- file gnome-mime-image-x-rgb.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image.png
- file gnome-mime-image.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-csharp.png
- file gnome-mime-text-x-csharp.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-text-x-csh.png
- file gnome-mime-text-x-csh.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-mod.png
- file gnome-mime-audio-x-mod.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-voc.png
- file gnome-mime-audio-x-voc.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-zip.png
- file gnome-mime-application-zip.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-gif.png
- file gnome-mime-image-gif.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-xi.png
- file gnome-mime-audio-x-xi.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-ac3.png
- file gnome-mime-audio-ac3.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-jpeg.png
- file gnome-mime-image-jpeg.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-svg+xml.png
- file gnome-mime-image-svg+xml.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-basic.png
- file gnome-mime-audio-basic.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-midi.png
- file gnome-mime-audio-x-midi.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-s3m.png
- file gnome-mime-audio-x-s3m.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-xm.png
- file gnome-mime-audio-x-xm.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-midi.png
- file gnome-mime-audio-midi.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-ief.png
- file gnome-mime-image-ief.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-bmp.png
- file gnome-mime-image-bmp.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-ulaw.png
- file gnome-mime-audio-x-ulaw.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application.png
- file gnome-mime-application.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-mp3.png
- file gnome-mime-audio-x-mp3.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-wav.png
- file gnome-mime-audio-x-wav.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-aiff.png
- file gnome-mime-audio-x-aiff.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio.png
- file gnome-mime-audio.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-stm.png
- file gnome-mime-audio-x-stm.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-audio-x-it.png
- file gnome-mime-audio-x-it.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-image-png.png
- file gnome-mime-image-png.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-perl.png
- file gnome-mime-application-x-perl.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-shellscript.png
- file gnome-mime-application-x-shellscript.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-ipod-firmware.png
- file gnome-mime-application-x-ipod-firmware.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-java-byte-code.png
- file gnome-mime-application-x-java-byte-code.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-zip-compressed.png
- file gnome-mime-application-x-zip-compressed.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-sharedlib.png
- file gnome-mime-application-x-sharedlib.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-python.png
- file gnome-mime-application-x-python.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-rpm.png
- file gnome-mime-application-x-rpm.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-lhz.png
- file gnome-mime-application-x-lhz.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-php.png
- file gnome-mime-application-x-php.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-lha.png
- file gnome-mime-application-x-lha.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-par2.png
- file gnome-mime-application-x-par2.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-jar.png
- file gnome-mime-application-x-jar.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-tar.png
- file gnome-mime-application-x-tar.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-python-bytecode.png
- file gnome-mime-application-x-python-bytecode.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-zip.png
- file gnome-mime-application-x-zip.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-rar.png
- file gnome-mime-application-x-rar.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-gzip.png
- file gnome-mime-application-x-gzip.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-applix-spreadsheet.png
- file gnome-mime-application-x-applix-spreadsheet.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.writer.png
- file gnome-mime-application-vnd.sun.xml.writer.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-cpio-compressed.png
- file gnome-mime-application-x-cpio-compressed.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-cpio.png
- file gnome-mime-application-x-cpio.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-bzip-compressed-tar.png
- file gnome-mime-application-x-bzip-compressed-tar.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-desktop.png
- file gnome-mime-application-x-desktop.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-deb.png
- file gnome-mime-application-x-deb.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-extension-nfo.png
- file gnome-mime-application-x-extension-nfo.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-arj.png
- file gnome-mime-application-x-arj.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-gnumeric.png
- file gnome-mime-application-x-gnumeric.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-wordperfect.png
- file gnome-mime-application-wordperfect.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-abiword.png
- file gnome-mime-application-x-abiword.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-compressed-tar.png
- file gnome-mime-application-x-compressed-tar.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-cd-image.png
- file gnome-mime-application-x-cd-image.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-bittorrent.png
- file gnome-mime-application-x-bittorrent.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-extension-par2.png
- file gnome-mime-application-x-extension-par2.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-compress.png
- file gnome-mime-application-x-compress.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-archive.png
- file gnome-mime-application-x-archive.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-bzip.png
- file gnome-mime-application-x-bzip.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-x-dia-diagram.png
- file gnome-mime-application-x-dia-diagram.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.writer.template.png
- file gnome-mime-application-vnd.sun.xml.writer.template.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.ms-excel.png
- file gnome-mime-application-vnd.ms-excel.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.formula.png
- file gnome-mime-application-vnd.oasis.opendocument.formula.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.drawing.png
- file gnome-mime-application-vnd.oasis.opendocument.drawing.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png
- file gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.graphics-template.png
- file gnome-mime-application-vnd.oasis.opendocument.graphics-template.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.lotus-1-2-3.png
- file gnome-mime-application-vnd.lotus-1-2-3.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.stardivision.calc.png
- file gnome-mime-application-vnd.stardivision.calc.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.text-template.png
- file gnome-mime-application-vnd.oasis.opendocument.text-template.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.calc.png
- file gnome-mime-application-vnd.sun.xml.calc.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.database.png
- file gnome-mime-application-vnd.oasis.opendocument.database.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.stardivision.writer.png
- file gnome-mime-application-vnd.stardivision.writer.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.ms-powerpoint.png
- file gnome-mime-application-vnd.ms-powerpoint.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.presentation-template.png
- file gnome-mime-application-vnd.oasis.opendocument.presentation-template.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png
- file gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.presentation.png
- file gnome-mime-application-vnd.oasis.opendocument.presentation.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.text-web.png
- file gnome-mime-application-vnd.oasis.opendocument.text-web.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.image.png
- file gnome-mime-application-vnd.oasis.opendocument.image.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.text.png
- file gnome-mime-application-vnd.oasis.opendocument.text.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.stardivision.impress.png
- file gnome-mime-application-vnd.stardivision.impress.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.draw.png
- file gnome-mime-application-vnd.sun.xml.draw.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.chart.png
- file gnome-mime-application-vnd.oasis.opendocument.chart.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.impress.png
- file gnome-mime-application-vnd.sun.xml.impress.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-rtf.png
- file gnome-mime-application-rtf.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-pgp.png
- file gnome-mime-application-pgp.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-ogg.png
- file gnome-mime-application-ogg.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-pgp-encrypted.png
- file gnome-mime-application-pgp-encrypted.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-magicpoint.png
- file gnome-mime-application-magicpoint.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-msword.png
- file gnome-mime-application-msword.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-pdf.png
- file gnome-mime-application-pdf.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-pgp-keys.png
- file gnome-mime-application-pgp-keys.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-par.png
- file gnome-mime-application-par.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gif.png
- file gif.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/ggnome-mime-application-x-class-file.png
- file ggnome-mime-application-x-class-file.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-library.png
- file gnome-library.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/gnome-mime-application-postscript.png
- file gnome-mime-application-postscript.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/file_temporary.png
- file file_temporary.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/empty.png
- file empty.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/font.png
- file font.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/dia.png
- file dia.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/encrypted.png
- file encrypted.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/exec_wine.png
- file exec_wine.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/deb.png
- file deb.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/documents.png
- file documents.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/documents2.png
- file documents2.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/colorscm.png
- file colorscm.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/font_truetype.png
- file font_truetype.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/cdtrack.png
- file cdtrack.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/exec_wine1.png
- file exec_wine1.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/cdr.png
- file cdr.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/cdimage.png
- file cdimage.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/file_locked.png
- file file_locked.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/font-x-generic.png
- file font-x-generic.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/audio-x-generic.png
- file audio-x-generic.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/bz2.png
- file bz2.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/binary.png
- file binary.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/ac3.png
- file ac3.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/cdbo_list.png
- file cdbo_list.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/aiff.png
- file aiff.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/ascii.png
- file ascii.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/ac3.png
modules/files/images/icons/aiff.png
modules/files/images/icons/application-certificate.png
modules/files/images/icons/application-x-executable.png
modules/files/images/icons/applix.png
modules/files/images/icons/arj.png
modules/files/images/icons/ascii.png
modules/files/images/icons/audio-x-generic.png
modules/files/images/icons/audio.png
modules/files/images/icons/binary.png
modules/files/images/icons/bmp.png
modules/files/images/icons/bz2.png
modules/files/images/icons/cbz.png
modules/files/images/icons/cdbo_list.png
modules/files/images/icons/cdimage.png
modules/files/images/icons/cdr.png
modules/files/images/icons/cdtrack.png
modules/files/images/icons/colorscm.png
modules/files/images/icons/deb.png
modules/files/images/icons/dia.png
modules/files/images/icons/documents.png
modules/files/images/icons/documents2.png
modules/files/images/icons/empty.png
modules/files/images/icons/encrypted.png
modules/files/images/icons/exec_wine.png
modules/files/images/icons/exec_wine1.png
modules/files/images/icons/file_locked.png
modules/files/images/icons/file_temporary.png
modules/files/images/icons/font-x-generic.png
modules/files/images/icons/font.png
modules/files/images/icons/font_truetype.png
modules/files/images/icons/ggnome-mime-application-x-class-file.png
modules/files/images/icons/gif.png
modules/files/images/icons/gnome-library.png
modules/files/images/icons/gnome-mime-application-magicpoint.png
modules/files/images/icons/gnome-mime-application-msword.png
modules/files/images/icons/gnome-mime-application-ogg.png
modules/files/images/icons/gnome-mime-application-par.png
modules/files/images/icons/gnome-mime-application-pdf.png
modules/files/images/icons/gnome-mime-application-pgp-encrypted.png
modules/files/images/icons/gnome-mime-application-pgp-keys.png
modules/files/images/icons/gnome-mime-application-pgp.png
modules/files/images/icons/gnome-mime-application-postscript.png
modules/files/images/icons/gnome-mime-application-rtf.png
modules/files/images/icons/gnome-mime-application-vnd.lotus-1-2-3.png
modules/files/images/icons/gnome-mime-application-vnd.ms-excel.png
modules/files/images/icons/gnome-mime-application-vnd.ms-powerpoint.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.chart.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.database.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.drawing.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.formula.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.graphics-template.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.image.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.presentation-template.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.presentation.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.spreadsheet-template.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.spreadsheet.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.text-template.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.text-web.png
modules/files/images/icons/gnome-mime-application-vnd.oasis.opendocument.text.png
modules/files/images/icons/gnome-mime-application-vnd.stardivision.calc.png
modules/files/images/icons/gnome-mime-application-vnd.stardivision.impress.png
modules/files/images/icons/gnome-mime-application-vnd.stardivision.writer.png
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.calc.png
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.draw.png
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.impress.png
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.writer.png
modules/files/images/icons/gnome-mime-application-vnd.sun.xml.writer.template.png
modules/files/images/icons/gnome-mime-application-wordperfect.png
modules/files/images/icons/gnome-mime-application-x-abiword.png
modules/files/images/icons/gnome-mime-application-x-applix-spreadsheet.png
modules/files/images/icons/gnome-mime-application-x-archive.png
modules/files/images/icons/gnome-mime-application-x-arj.png
modules/files/images/icons/gnome-mime-application-x-bittorrent.png
modules/files/images/icons/gnome-mime-application-x-bzip-compressed-tar.png
modules/files/images/icons/gnome-mime-application-x-bzip.png
modules/files/images/icons/gnome-mime-application-x-cd-image.png
modules/files/images/icons/gnome-mime-application-x-compress.png
modules/files/images/icons/gnome-mime-application-x-compressed-tar.png
modules/files/images/icons/gnome-mime-application-x-cpio-compressed.png
modules/files/images/icons/gnome-mime-application-x-cpio.png
modules/files/images/icons/gnome-mime-application-x-deb.png
modules/files/images/icons/gnome-mime-application-x-desktop.png
modules/files/images/icons/gnome-mime-application-x-dia-diagram.png
modules/files/images/icons/gnome-mime-application-x-extension-nfo.png
modules/files/images/icons/gnome-mime-application-x-extension-par2.png
modules/files/images/icons/gnome-mime-application-x-gnumeric.png
modules/files/images/icons/gnome-mime-application-x-gzip.png
modules/files/images/icons/gnome-mime-application-x-ipod-firmware.png
modules/files/images/icons/gnome-mime-application-x-jar.png
modules/files/images/icons/gnome-mime-application-x-java-byte-code.png
modules/files/images/icons/gnome-mime-application-x-lha.png
modules/files/images/icons/gnome-mime-application-x-lhz.png
modules/files/images/icons/gnome-mime-application-x-par2.png
modules/files/images/icons/gnome-mime-application-x-perl.png
modules/files/images/icons/gnome-mime-application-x-php.png
modules/files/images/icons/gnome-mime-application-x-python-bytecode.png
modules/files/images/icons/gnome-mime-application-x-python.png
modules/files/images/icons/gnome-mime-application-x-rar.png
modules/files/images/icons/gnome-mime-application-x-rpm.png
modules/files/images/icons/gnome-mime-application-x-sharedlib.png
modules/files/images/icons/gnome-mime-application-x-shellscript.png
modules/files/images/icons/gnome-mime-application-x-tar.png
modules/files/images/icons/gnome-mime-application-x-zip-compressed.png
modules/files/images/icons/gnome-mime-application-x-zip.png
modules/files/images/icons/gnome-mime-application-zip.png
modules/files/images/icons/gnome-mime-application.png
modules/files/images/icons/gnome-mime-audio-ac3.png
modules/files/images/icons/gnome-mime-audio-basic.png
modules/files/images/icons/gnome-mime-audio-midi.png
modules/files/images/icons/gnome-mime-audio-x-aiff.png
modules/files/images/icons/gnome-mime-audio-x-it.png
modules/files/images/icons/gnome-mime-audio-x-midi.png
modules/files/images/icons/gnome-mime-audio-x-mod.png
modules/files/images/icons/gnome-mime-audio-x-mp3.png
modules/files/images/icons/gnome-mime-audio-x-s3m.png
modules/files/images/icons/gnome-mime-audio-x-stm.png
modules/files/images/icons/gnome-mime-audio-x-ulaw.png
modules/files/images/icons/gnome-mime-audio-x-voc.png
modules/files/images/icons/gnome-mime-audio-x-wav.png
modules/files/images/icons/gnome-mime-audio-x-xi.png
modules/files/images/icons/gnome-mime-audio-x-xm.png
modules/files/images/icons/gnome-mime-audio.png
modules/files/images/icons/gnome-mime-image-bmp.png
modules/files/images/icons/gnome-mime-image-gif.png
modules/files/images/icons/gnome-mime-image-ief.png
modules/files/images/icons/gnome-mime-image-jpeg.png
modules/files/images/icons/gnome-mime-image-png.png
modules/files/images/icons/gnome-mime-image-svg+xml.png
modules/files/images/icons/gnome-mime-image-tiff.png
modules/files/images/icons/gnome-mime-image-x-psd.png
modules/files/images/icons/gnome-mime-image-x-rgb.png
modules/files/images/icons/gnome-mime-image-x-tga.png
modules/files/images/icons/gnome-mime-image-x-xbitmap.png
modules/files/images/icons/gnome-mime-image-x-xcf.png
modules/files/images/icons/gnome-mime-image-x-xfig.png
modules/files/images/icons/gnome-mime-image-x-xpixmap.png
modules/files/images/icons/gnome-mime-image.png
modules/files/images/icons/gnome-mime-text-css.png
modules/files/images/icons/gnome-mime-text-html.png
modules/files/images/icons/gnome-mime-text-plain.png
modules/files/images/icons/gnome-mime-text-x-authors.png
modules/files/images/icons/gnome-mime-text-x-c++src.png
modules/files/images/icons/gnome-mime-text-x-c-header.png
modules/files/images/icons/gnome-mime-text-x-c.png
modules/files/images/icons/gnome-mime-text-x-chdr.png
modules/files/images/icons/gnome-mime-text-x-credits.png
modules/files/images/icons/gnome-mime-text-x-csh.png
modules/files/images/icons/gnome-mime-text-x-csharp.png
modules/files/images/icons/gnome-mime-text-x-csrc.png
modules/files/images/icons/gnome-mime-text-x-haskell.png
modules/files/images/icons/gnome-mime-text-x-install.png
modules/files/images/icons/gnome-mime-text-x-java.png
modules/files/images/icons/gnome-mime-text-x-literate-haskell.png
modules/files/images/icons/gnome-mime-text-x-objcsrc.png
modules/files/images/icons/gnome-mime-text-x-python.png
modules/files/images/icons/gnome-mime-text-x-readme.png
modules/files/images/icons/gnome-mime-text-x-scheme.png
modules/files/images/icons/gnome-mime-text-x-tex.png
modules/files/images/icons/gnome-mime-text-x-txt.png
modules/files/images/icons/gnome-mime-text-xml.png
modules/files/images/icons/gnome-mime-text.png
modules/files/images/icons/gnome-mime-video-mpeg.png
modules/files/images/icons/gnome-mime-video-quicktime.png
modules/files/images/icons/gnome-mime-video-x-ms-asf.png
modules/files/images/icons/gnome-mime-video-x-ms-wmv.png
modules/files/images/icons/gnome-mime-video-x-msvideo.png
modules/files/images/icons/gnome-mime-video.png
modules/files/images/icons/gnome-mime-x-directory-smb-server.png
modules/files/images/icons/gnome-mime-x-directory-smb-share.png
modules/files/images/icons/gnome-package.png
modules/files/images/icons/gz.png
modules/files/images/icons/html.png
modules/files/images/icons/ief.png
modules/files/images/icons/image-x-generic.png
modules/files/images/icons/image.png
modules/files/images/icons/image2.png
modules/files/images/icons/info.png
modules/files/images/icons/jpeg.png
modules/files/images/icons/jpg.png
modules/files/images/icons/lha.png
modules/files/images/icons/lhz.png
modules/files/images/icons/message.png
modules/files/images/icons/midi.png
modules/files/images/icons/mime-colorset.png
modules/files/images/icons/mime-empty.png
modules/files/images/icons/mime-help.png
modules/files/images/icons/mime-postscript.png
modules/files/images/icons/mime_ascii.png
modules/files/images/icons/mime_cdr.png
modules/files/images/icons/mime_colorset.png
modules/files/images/icons/mime_empty.png
modules/files/images/icons/mime_koffice.png
modules/files/images/icons/misc.png
modules/files/images/icons/mod.png
modules/files/images/icons/mp3.png
modules/files/images/icons/package-x-generic.png
modules/files/images/icons/par.png
modules/files/images/icons/pdf.png
modules/files/images/icons/php.png
modules/files/images/icons/pix.png
modules/files/images/icons/png.png
modules/files/images/icons/ps.png
modules/files/images/icons/psd.png
modules/files/images/icons/quicktime.png
modules/files/images/icons/rar.png
modules/files/images/icons/recycled.png
modules/files/images/icons/rgb.png
modules/files/images/icons/rpm.png
modules/files/images/icons/s3m.png
modules/files/images/icons/schedule.png
modules/files/images/icons/shellscript.png
modules/files/images/icons/sound.png
modules/files/images/icons/source_c.png
modules/files/images/icons/source_cpp.png
modules/files/images/icons/source_h.png
modules/files/images/icons/source_java.png
modules/files/images/icons/source_php.png
modules/files/images/icons/source_py.png
modules/files/images/icons/source_pyc.png
modules/files/images/icons/spreadsheet.png
modules/files/images/icons/stm.png
modules/files/images/icons/svg.png
modules/files/images/icons/tar.png
modules/files/images/icons/template_source.png
modules/files/images/icons/tex.png
modules/files/images/icons/text-html.png
modules/files/images/icons/text-x-generic-template.png
modules/files/images/icons/text-x-generic.png
modules/files/images/icons/text-x-script.png
modules/files/images/icons/text.png
modules/files/images/icons/tga.png
modules/files/images/icons/tgz.png
modules/files/images/icons/tiff.png
modules/files/images/icons/txt.png
modules/files/images/icons/ulaw.png
modules/files/images/icons/unknown.png
modules/files/images/icons/vcalendar.png
modules/files/images/icons/video-x-generic.png
modules/files/images/icons/video.png
modules/files/images/icons/vmlinuz.png
modules/files/images/icons/voc.png
modules/files/images/icons/wav.png
modules/files/images/icons/x-office-address-book.png
modules/files/images/icons/x-office-calendar.png
modules/files/images/icons/x-office-document.png
modules/files/images/icons/x-office-presentation.png
modules/files/images/icons/x-office-spreadsheet.png
modules/files/images/icons/xcf.png
modules/files/images/icons/xfig.png
modules/files/images/icons/xi.png
modules/files/images/icons/xm.png
modules/files/images/icons/zip.png
- Open source support icons for the files module

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/application-x-executable.png
- file application-x-executable.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/bmp.png
- file bmp.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/arj.png
- file arj.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/application-certificate.png
- file application-certificate.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/audio.png
- file audio.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/cbz.png
- file cbz.png was initially added on branch stable_2.

2007-01-27 01:53  (pedroix)
---------------------------------
modules/files/images/icons/applix.png
- file applix.png was initially added on branch stable_2.

2007-01-25 14:07  (caseydk)
---------------------------------
modules/projects/index.php
index.php
- adjusted for coding standards;

2007-01-25 14:07  (caseydk)
---------------------------------
modules/projects/projects.class.php
- tweaked it to update null values;

2007-01-25 14:06  (caseydk)
---------------------------------
modules/projects/addedit.php
- implemented retrieval for "edit" permissions distinct from "view" permissions - for example, if you have "view" permissions for a company, you probably shouldn't be able to add a project to it;

2007-01-25 14:05  (caseydk)
---------------------------------
modules/projects/companies_tab.view.active_projects.php
modules/projects/companies_tab.view.archived_projects.php
- refactored these to be essentially identical since they functioned the same

2007-01-25 14:04  (caseydk)
---------------------------------
classes/dp.class.php
classes/permissions.class.php
- implemented retrieval for "edit" permissions distinct from "view" permissions

2007-01-25 14:03  (caseydk)
---------------------------------
classes/CustomFields.class.php
- added a sort by field_name to ensure alphabetical order if they don't set a order;

2007-01-25 08:40  (merlinyoda)
---------------------------------
db/dotproject.sql
lib/phpgacl/Cache_Lite/Cache_Lite.php
- 
- Changes towards Bug Report #1792

2007-01-25 04:35  (merlinyoda)
---------------------------------
modules/tasks/tasks.php
- 
- "Improvement" on fix for bug #1744.
- Also "tabified" file (replaces 4 spaces with a tab character)

2007-01-22 06:00  (gregorerhardt)
---------------------------------
modules/system/systemconfig_help.php
modules/system/viewmods.php
- module view converted to smarty

2007-01-21 04:36  (caseydk)
---------------------------------
modules/tasks/do_task_aed.php
- fixed an error that would cause a task moved to a new project to keep its original parent task which would throw off all calculations, displays, etc;

2007-01-20 02:26  (gregorerhardt)
---------------------------------
modules/forums/configure.php
modules/forums/forums.class.php
modules/forums/setup.php
modules/system/viewmods.php
- module configuration links, remove hard custom hack for forums config

2007-01-20 01:32  (gregorerhardt)
---------------------------------
modules/projects/departments_tab.view.projects.php
- rounding duration - hint by bruce

2007-01-18 13:19  (nybod)
---------------------------------
index.php
index.php
- Oops. Not the right fix.  Undoing for now. default_view_tab not getting pulled from dPconfig.

2007-01-18 13:05  (nybod)
---------------------------------
index.php
index.php
- default_view_tab not getting pulled from dPconfig.

2007-01-18 11:53  (merlinyoda)
---------------------------------
locales/en/contacts.inc
modules/contacts/addedit.php
modules/contacts/contacts.class.php
- 
-  - Solidified fix for bug #1232.
-  - Added "user contact deletion" error message to "en" locale

2007-01-18 11:50  (merlinyoda)
---------------------------------
locales/en/contacts.inc
modules/contacts/addedit.php
modules/contacts/contacts.class.php
- 
-  - Solidified fix for bug #1232.
-  - Added "user contact deletion" error message to "en" locale

2007-01-18 03:51  (gregorerhardt)
---------------------------------
modules/projects/departments_tab.view.projects.php
- Merge the forms for the checkboxes on departments: projects tab

2007-01-18 01:40  (nybod)
---------------------------------
modules/projects/vw_logs.php
- Mantis 1833 regarding task log editing permissions.

2007-01-17 23:56  (nybod)
---------------------------------
modules/projects/vw_logs.php
- Mantis 1833 regarding task log editing permissions.

2007-01-17 16:19  (caseydk)
---------------------------------
db/upgrade_latest.sql
- tiny formatting tweak, no func change

2007-01-13 08:18  (nybod)
---------------------------------
modules/calendar/calendar.class.php
- Corrected typo: uset_last_name to user_last_name.

2007-01-10 05:20  (gregorerhardt)
---------------------------------
modules/tasks/tasks.php
- fixing double to single quotes conversion error

2007-01-08 00:49  (gregorerhardt)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
- Changing INDEX to PRIMARY KEY

2007-01-06 19:45  (gregorerhardt)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
- Adding INDEX for custom fields value_id

2007-01-06 19:41  (gregorerhardt)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
- Adding INDEX for custom fields value_id

2007-01-06 05:27  (gregorerhardt)
---------------------------------
modules/tasks/do_task_aed.php
modules/tasks/gantt.php
modules/tasks/index.php
modules/tasks/organize.php
modules/tasks/projects_tab.view.task_logs.php
modules/tasks/tasks.class.php
modules/tasks/tasks.php
modules/tasks/tasksperuser_sub.php
modules/tasks/todo.php
modules/tasks/todo_tasks_sub.php
modules/tasks/view.php
modules/tasks/viewgantt.php
- replacing double with single quotes

2007-01-06 03:50  (gregorerhardt)
---------------------------------
modules/projects/gantt.php
- replacing double with single quotes

2007-01-06 03:33  (gregorerhardt)
---------------------------------
locales/en/admin.inc
modules/admin/addedituser.php
- #1671: require company to be chosen when adding a new user

2007-01-04 13:04  (ajdonnison)
---------------------------------
modules/system/system.class.php
- Fix for wrong user preferences being changed.

2007-01-04 12:59  (ajdonnison)
---------------------------------
modules/system/system.class.php
- Fixed problem where the wrong user's preferences are updated, thanks to ryan_ on IRC for his assistance in sorting this out.

2007-01-04 05:59  (gregorerhardt)
---------------------------------
modules/departments/view.php
- fix dept_id losing when viewing department from company's link

2007-01-03 04:32  (merlinyoda)
---------------------------------
functions/projects_func.php
- Set "$priority" array to use system configured values instead
- of predefined values in the code.

2007-01-03 04:14  (merlinyoda)
---------------------------------
functions/admin_func.php
- 
- Updated "$utypes" user type array to use system configured values instead
- of using a predefined list as it had been.

2007-01-01 10:20  (caseydk)
---------------------------------
js/dPcommon.js
- implemented #1171 which called for a 'clear date' button in a few places;
- also changed the existing 'clear date' display to use the translation system;

2006-12-28 10:25  (mosen)
---------------------------------
modules/contacts/view.php
- Included missing customfields module in contacts/view
- Added CustomFields variable to contact view template

2006-12-28 05:50  (gregorerhardt)
---------------------------------
modules/projects/departments_tab.view.projects_gantt.php
- file departments_tab.view.projects_gantt.php was initially added on branch stable_2.

2006-12-28 05:50  (gregorerhardt)
---------------------------------
modules/projects/departments_tab.view.projects_gantt.php
modules/projects/gantt.php
modules/projects/viewgantt.php
- projects gantt subview with project owner option for departments

2006-12-27 21:49  (gregorerhardt)
---------------------------------
modules/projects/gantt.php
modules/tasks/gantt.php
- fixing gantt locale determination change from 20061208

2006-12-27 20:54  (gregorerhardt)
---------------------------------
db/dotproject.sql
- added missing session_user column and updated ProjectStatus sysval

2006-12-27 20:09  (gregorerhardt)
---------------------------------
modules/departments/index.php
modules/departments/view.php
- fix for the case where  unset or no session data available

2006-12-26 06:01  (nybod)
---------------------------------
images/GoogleMaps.gif
- Added feature: lookup of contact address on Google Maps, may need some tweaking for non-US addresses. Modified  style/_smarty/contacts/view.html and added new file, /images/GoogleMaps.gif

2006-12-20 00:43  (nybod)
---------------------------------
modules/tasks/todo.php
- #1790 - make selected user to see todo->gantt chart for stick (cyberhorse's work)

2006-12-20 00:27  (cyberhorse)
---------------------------------
modules/tasks/todo_gantt_sub.php
- smartified todo->gantt page

2006-12-20 00:05  (cyberhorse)
---------------------------------
modules/tasks/todo.php
- #1790 - make selected user to see todo->gantt chart for stick

2006-12-19 11:37  (mosen)
---------------------------------
db/dotproject.sql
db/upgrade_sysvals.php
- sysvals upgrade converted to query class

2006-12-18 13:47  (mosen)
---------------------------------
modules/system/syskeys/index.php
- completed conversion of sysvals editor to support new sysvals structure.

2006-12-18 13:31  (mosen)
---------------------------------
modules/system/syskeys/do_sysval_aed.php
modules/system/syskeys/index.php
modules/system/syskeys/syskeys.class.php
- system lookup values editor partial update

2006-12-18 10:10  (mosen)
---------------------------------
includes/main_functions.php
- dpGetSysvals upgraded in main functions

2006-12-17 21:51  (cyberhorse)
---------------------------------
classes/authenticator.class.php
classes/query.class.php
includes/db_adodb.php
includes/session.php
- Changes towards making database portability
- Fixed db_dateTime2unix behaviour (take time into account)

2006-12-17 05:33  (nybod)
---------------------------------
modules/admin/addedituser.php
- Removed asterisk beside Company field which erroneously indicated that it was a required field.

2006-12-16 19:29  (cyberhorse)
---------------------------------
db/dotproject.sql
- fixed sql error (too many values after removing users fields)

2006-12-16 17:52  (cyberhorse)
---------------------------------
modules/tasks/ae_desc.php
- fixed missing global $baseDir variable

2006-12-16 17:27  (cyberhorse)
---------------------------------
includes/session.php
- PHP5 fix (as suggested by MOTE in
- http://www.dotproject.net/vbulletin/showthread.php?t=5667)

2006-12-16 17:17  (cyberhorse)
---------------------------------
classes/ui.class.php
db/dotproject.sql
db/upgrade_latest.sql
modules/admin/do_user_aed.php
- removed user_company, user_department and user_owner from users table

2006-12-16 05:32  (merlinyoda)
---------------------------------
lib/ezpdf/class.ezpdf.php
lib/ezpdf/class.pdf.php
- 
- Got rid of the carrage return characters so they don't show up under *nix.
- 
- Added the following lines to the stream() function in
- lib/ezpdf/class.pdf.php to solve the problem of certain versions IE
- trying to download/display a pdf report based on the page/arguments
- in the URL instead of what is passed to it in the HTTP header information
- (I've had a similiar problem in other programs because of IE's disreguard
- of web standards by running everything in "quirks" mode unless you
- explicitly specify otherwise not to):
- 
-   header( "Pragma: ");
-   header( "Cache-Control: public");

2006-12-15 02:11  (cyberhorse)
---------------------------------
includes/db_adodb.php
modules/companies/companies.class.php
modules/forums/forums.class.php
- Some comments updated

2006-12-15 00:37  (cyberhorse)
---------------------------------
classes/dp.class.php
classes/libmail.class.php
classes/ui.class.php
misc/postnuke/dplink/index.php
modules/calendar/calendar.class.php
modules/links/index_table.php
modules/links/setup.php
modules/resources/addedit.php
modules/resources/do_resource_aed.php
modules/resources/view.php
modules/system/custom_field_addedit.php
modules/system/do_custom_field_aed.php
modules/tasks/ae_desc.php
modules/tasks/do_task_aed.php
modules/tasks/tasks.class.php
- Fixed a few potential problems
- initialized some variables
- pointed some variables to actual class variables in the mail class
- (monitor if something goes wrong)
- declared some variables as globals, when accessed from methods
- updated missing parameters
- added $baseDir to a few includes in resources and tasks modules

2006-12-14 15:31  (mosen)
---------------------------------
db/dotproject.sql
db/upgrade_latest.php
db/upgrade_sysvals.php
- Updated sysvals table to use rows instead of char delimited fields

2006-12-12 16:22  (cyberhorse)
---------------------------------
modules/forums/view_topics.php
- forums tabs were broken when there are messages

2006-12-11 23:29  (cyberhorse)
---------------------------------
classes/libmail.class.php
modules/calendar/calendar.class.php
- #1845
- contacts don't get dp urls (can't login to use them)
- updated multipart messages building
- added a clearAttachments() method to the mail class to reset attached
- files

2006-12-10 21:33  (ajdonnison)
---------------------------------
modules/admin/vw_usr_perms.php
- Added Module/Item separation, sponsored by De Bortoli Wines.

2006-12-10 21:29  (ajdonnison)
---------------------------------
modules/admin/vw_usr_perms.php
- Added split between module and item information in Permissions display.

2006-12-09 19:21  (ajdonnison)
---------------------------------
index.php
includes/main_functions.php
- Added anti-XSS function from Kallahar@quickwired.com with permission (code is released in the public domain).

2006-12-08 11:09  (merlinyoda)
---------------------------------
modules/projects/gantt.php
modules/tasks/gantt.php
- 
- jpGraph is still a congig variable in stable_2 ... should be used on gantt

2006-12-08 10:50  (uid225572)
---------------------------------
modules/projects/viewgantt.php
- 
- Just made code a little more condensed/readable
- ... someone got newline-happy :-)

2006-12-08 10:38  (merlinyoda)
---------------------------------
classes/ui.class.php
- 
- Class variable $user_lang was used in the code but not defined.

2006-12-08 10:35  (merlinyoda)
---------------------------------
classes/ui.class.php
- 
- Class variable $user_lang was used but not defined in the code.

2006-12-07 22:45  (cyberhorse)
---------------------------------
includes/db_connect.php
- #1838 - applied suggested change

2006-12-06 11:20  (merlinyoda)
---------------------------------
modules/public/chpwd.php
- 
- Fixing stray syntax error from previous modification.

2006-12-06 11:18  (merlinyoda)
---------------------------------
modules/public/chpwd.php
- 
- Modified password changing code to follow more orignial design.
- 
- $canEdit was improperly replacing a check on user type
- ( i.e Administrators don't have to provide the original password).
- 
- Also tweaked a line so that the whole user record was loaded to the object
- instead of just the ID which was causing a loss of user information
- (... didn't cause issues before now, must have relied on some seperate
- obscure piece of code)

2006-12-06 10:06  (caseydk)
---------------------------------
modules/tasks/tasks.class.php
modules/tasks/todo.php
- adjusted for coding standards;

2006-12-06 10:01  (caseydk)
---------------------------------
modules/tasks/index.php
modules/tasks/tasks.php
modules/tasks/vw_tasks.php
- normalizing naming and coding conventions;

2006-12-06 10:01  (caseydk)
---------------------------------
modules/departments/view.php
- restored missing closing php tag

2006-12-06 10:00  (merlinyoda)
---------------------------------
modules/system/domodsql.php
modules/system/system.class.php
- 
- Improved module remove code so that remaining modules "below" a removed
- module will move up to fill the gap. Also stream-lined the remove function
- in system.class.php

2006-12-06 09:56  (caseydk)
---------------------------------
modules/contacts/index.php
- standardize language to use All

2006-12-06 09:55  (caseydk)
---------------------------------
modules/calendar/index.php
modules/projects/index.php
modules/projects/view.php
- adjusted for coding standards;

2006-12-06 09:55  (caseydk)
---------------------------------
modules/admin/index.php
modules/admin/viewuser.php
- restored the 'add user' button and placed it better

2006-12-06 09:52  (caseydk)
---------------------------------
classes/ui.class.php
- adjusted for coding standards;

2006-12-06 08:32  (merlinyoda)
---------------------------------
modules/history/setup.php
- 
- Corrected syntax errors in string containing SQL table definition code.

2006-12-06 05:41  (merlinyoda)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
modules/system/system.class.php
- 
- modules/system/system.class.php:
- Modified install() function to filter out "Public" module when calculating
- the value of mod_ui_value for a new module record.
- 
- Streamlined the move() function to eliminate repeating code, making it
- easier to expand upon if needed.
- 
- db/dotproject.sql & db/upgrade_latest.sql:
- Set/Updated 'mod_ui_order' to 0 for 'Public' module to keep it from
- interferring other modules since it's never visible.

2006-12-06 05:25  (merlinyoda)
---------------------------------
modules/system/system.class.php
- 
- Modified install() function to filter out "Public" module when
- calculating the value of mod_ui_value for a new module record.
- 
- Streamlined the move() function to eliminate repeating code, making it
- easier to expand upon if needed.

2006-12-04 15:00  (mosen)
---------------------------------
images/arrow-down-disabled.gif
images/arrow-up-disabled.gif
- Custom field editor now shows a greyed out arrow for fields that are not moveable

2006-12-04 14:42  (mosen)
---------------------------------
classes/CustomFields.class.php
- customfields editor upgrades non-ordered fields automatically

2006-12-03 21:30  (gregorerhardt)
---------------------------------
includes/main_functions.php
includes/main_functions.php
- fix for hidden and disabled fields in MSIE

2006-12-03 13:06  (nybod)
---------------------------------
modules/calendar/day_view.php
- Backward compatible function to address php5 date issue

2006-12-01 16:38  (mosen)
---------------------------------
classes/CustomFields.class.php
modules/contacts/addedit.php
modules/contacts/do_contact_aed.php
modules/contacts/view.php
modules/system/custom_field_editor.php
- Added custom fields to contacts module
- Changed cosmetics of custom fields editor
- User can reorder custom fields using arrows on custom fields editor
- Added customfields enumerator class

2006-12-01 09:42  (nybod)
---------------------------------
modules/projects/addedit.php
- Added required field indicator (*) to project name

2006-12-01 00:58  (gregorerhardt)
---------------------------------
modules/projects/view.php
- last_name, first_name for consistency

2006-12-01 00:56  (gregorerhardt)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
includes/main_functions.php
locales/en/projects.inc
locales/en/tasks.inc
modules/tasks/addedit.js
modules/tasks/addedit.php
- removing user-specific required fields from tasks

2006-12-01 00:54  (gregorerhardt)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
includes/main_functions.php
locales/en/projects.inc
locales/en/tasks.inc
modules/tasks/addedit.js
modules/tasks/addedit.php
- remove user-specific required fields for tasks

2006-11-30 22:29  (gregorerhardt)
---------------------------------
modules/projects/addedit.php
modules/tasks/addedit.php
- Showing 2 save and cancel buttons for usability

2006-11-30 22:09  (gregorerhardt)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
includes/main_functions.php
locales/en/projects.inc
locales/en/tasks.inc
modules/projects/addedit.php
modules/system/syskeys/index.php
modules/tasks/addedit.js
modules/tasks/addedit.php
- user-specific required fields

2006-11-30 21:51  (gregorerhardt)
---------------------------------
db/dotproject.sql
- user-specific required fields

2006-11-30 21:46  (gregorerhardt)
---------------------------------
ChangeLog
classes/CustomFields.class.php
db/upgrade_latest.sql
includes/main_functions.php
locales/en/projects.inc
locales/en/tasks.inc
modules/projects/addedit.php
modules/system/syskeys/index.php
modules/tasks/addedit.js
modules/tasks/addedit.php
- user-specific required fields

2006-11-29 23:57  (gregorerhardt)
---------------------------------
modules/departments/departments.class.php
modules/departments/index.php
modules/departments/view.php
modules/projects/departments_tab.view.projects.php
modules/projects/projects.class.php
- view departments from dep module; some auto-tabs

2006-11-29 23:57  (gregorerhardt)
---------------------------------
modules/projects/departments_tab.view.projects.php
- file departments_tab.view.projects.php was initially added on branch stable_2.

2006-11-29 22:35  (cyberhorse)
---------------------------------
modules/calendar/calendar.class.php
- #1822 - Fixed contacts notification for events
- 
- ----------------------------------------------------------------------

2006-11-29 02:14  (cyberhorse)
---------------------------------
classes/dp.class.php
modules/tasks/view.php
- #1826 - fixed particular access issue.
- Improved permission handling, tracking parent relationships
- Added better handling of parent relationships tracking.

2006-11-28 10:37  (pedroix)
---------------------------------
modules/projects/reports/upcoming.php
- assigned_users variable typo

2006-11-28 03:30  (gregorerhardt)
---------------------------------
modules/tasks/tasks.php
- open or close all tasks in a list at once

2006-11-28 02:27  (gregorerhardt)
---------------------------------
db/upgrade_latest.sql
db/upgrade_latest.php
db/upgrade_latest.sql
- remove installer inconsistencies

2006-11-28 01:40  (gregorerhardt)
---------------------------------
modules/projects/gantt.php
modules/projects/viewgantt.php
- gantt sortable by name

2006-11-28 01:04  (gregorerhardt)
---------------------------------
modules/tasks/gantt.php
modules/tasks/viewgantt.php
- gantt sortable by name

2006-11-28 00:18  (gregorerhardt)
---------------------------------
modules/tasks/tasks.class.php
modules/tasks/todo.php
modules/tasks/todo_tasks_sub.php
- sortable todo

2006-11-28 00:05  (gregorerhardt)
---------------------------------
ChangeLog
modules/projects/admin_tab.viewuser.projects.php
modules/tasks/tasks.class.php
modules/tasks/todo.php
modules/tasks/todo_tasks_sub.php
- sortable todo, some more tooltips

2006-11-25 23:13  (nybod)
---------------------------------
modules/projects/reports/completed.php
- Small typo

2006-11-23 06:35  (gregorerhardt)
---------------------------------
modules/tasks/view.php
- softcoding translation

2006-11-23 06:15  (gregorerhardt)
---------------------------------
modules/calendar/week_view.php
- softcoding translation

2006-11-23 05:59  (gregorerhardt)
---------------------------------
modules/tasks/tasks.class.php
- some additional overlib enhanced tooltips

2006-11-20 10:15  (nybod)
---------------------------------
modules/tasks/tasks.class.php
- Missing function getTaskDurationPerWeek

2006-11-20 09:36  (gregorerhardt)
---------------------------------
modules/projects/index.php
modules/projects/projects.class.php
- adding owner filter to projects

2006-11-20 08:27  (gregorerhardt)
---------------------------------
modules/projects/reports/allocateduserhours.php
- removing development testing code :)

2006-11-20 08:23  (gregorerhardt)
---------------------------------
modules/projects/reports/allocateduserhours.php
- correcting user usage hour and percent values

2006-11-20 07:50  (gregorerhardt)
---------------------------------
classes/date.class.php
- readded erraneously removed date::workingdaysinspan()

2006-11-20 07:46  (gregorerhardt)
---------------------------------
classes/date.class.php
- readded erraneously removed date::workingdaysinspan()

2006-11-20 06:39  (gregorerhardt)
---------------------------------
ChangeLog
modules/smartsearch/searchobjects/projects.inc.php
- Smartsearch project_contacts for projects

2006-11-20 03:01  (gregorerhardt)
---------------------------------
classes/ui.class.php
lib/overlib/makemini.pl
lib/overlib/overlib.js
lib/overlib/overlib_anchor.js
lib/overlib/overlib_centerpopup.js
lib/overlib/overlib_crossframe.js
lib/overlib/overlib_cssstyle.js
lib/overlib/overlib_debug.js
lib/overlib/overlib_exclusive.js
lib/overlib/overlib_followscroll.js
lib/overlib/overlib_hideform.js
lib/overlib/overlib_setonoff.js
lib/overlib/overlib_shadow.js
lib/overlib/Mini/overlib_anchor_mini.js
lib/overlib/Mini/overlib_centerpopup_mini.js
lib/overlib/Mini/overlib_crossframe_mini.js
lib/overlib/Mini/overlib_csstyle_mini.js
lib/overlib/Mini/overlib_debug_mini.js
lib/overlib/Mini/overlib_exclusive_mini.js
lib/overlib/Mini/overlib_followscroll_mini.js
lib/overlib/Mini/overlib_hideform_mini.js
lib/overlib/Mini/overlib_mini.js
lib/overlib/Mini/overlib_setonoff_mini.js
lib/overlib/Mini/overlib_shadow_mini.js
modules/projects/vw_idx_active.php
modules/projects/vw_idx_archived.php
modules/projects/vw_idx_complete.php
modules/projects/vw_idx_proposed.php
- Adding Overlib for advanced tooltips and implement tooltips for project description

2006-11-20 01:07  (gregorerhardt)
---------------------------------
ChangeLog
classes/ui.class.php
db/upgrade_latest.sql
modules/projects/index.php
modules/projects/projects.class.php
modules/projects/vw_idx_list.php
modules/tasks/todo.php
- consistenly removed project inactive state (now Archived Status) and made tabs explicitly indexable

2006-11-20 00:12  (gregorerhardt)
---------------------------------
classes/ui.class.php
db/dotproject.sql
db/upgrade_latest.sql
modules/companies/vw_active.php
modules/companies/vw_archived.php
modules/companies/vw_companies.php
modules/files/addedit.php
modules/files/co.php
modules/files/index_table.php
modules/forums/addedit.php
modules/forums/index.php
modules/links/addedit.php
modules/projects/addedit.php
modules/projects/admin_tab.viewuser.projects.php
modules/projects/gantt.php
modules/projects/gantt2.php
modules/projects/index.php
modules/projects/projects.class.php
modules/projects/reports.php
modules/projects/view.php
modules/projects/viewgantt.php
modules/projects/vw_idx_active.php
modules/projects/vw_idx_archived.php
modules/projects/vw_idx_complete.php
modules/projects/vw_idx_proposed.php
modules/tasks/addedit.php
modules/tasks/gantt.php
modules/tasks/tasks.php
modules/tasks/todo.php
style/default/overrides.php
style/dp-grey-theme/overrides.php
- Incorporating project inactive state in the Archived status

2006-11-19 19:54  (cyberhorse)
---------------------------------
modules/tasks/tasks.class.php
- revert last change - already was in head
- ----------------------------------------------------------------------

2006-11-19 19:43  (cyberhorse)
---------------------------------
modules/tasks/tasks.class.php
- #1824 - delete task dependencies when deleting a task.
- ----------------------------------------------------------------------

2006-11-19 19:29  (cyberhorse)
---------------------------------
modules/tasks/tasks.class.php
- #1824 - delete dependencies when deleting tasks.
- ----------------------------------------------------------------------

2006-11-19 10:36  (caseydk)
---------------------------------
db/dotproject.sql
- fully mysql 4/5 compliant;

2006-11-19 06:05  (caseydk)
---------------------------------
includes/version.php
- changed to denote this as 2.0.4-head as opposed to 2.0.4-5

2006-11-19 05:38  (caseydk)
---------------------------------
classes/ui.class.php
modules/system/addeditpref.php
- removed flat view;

2006-11-19 03:58  (caseydk)
---------------------------------
modules/projects/projects.class.php
- fixed for the "abiguous field" issue

2006-11-19 03:58  (caseydk)
---------------------------------
modules/projects/vw_idx_list.php
modules/tasks/addedit.php
modules/tasks/listtasks.php
modules/tasks/tasks.php
modules/calendar/index.php
- adjusted for coding standards;

2006-11-19 01:15  (caseydk)
---------------------------------
.htaccess
- removed the mapping for the REST interface, should not have been committed;

2006-11-19 00:15  (gregorerhardt)
---------------------------------
db/dotproject.sql
style/default/tabBox.html
style/dp-grey-theme/tabBox.html
db/upgrade_latest.sql
- dropping flat view mode

2006-11-18 09:10  (caseydk)
---------------------------------
includes/main_functions.php
- adjusting for clarity

2006-11-15 23:03  (pedroix)
---------------------------------
includes/main_functions.php
- Make sure only one (the first found) option gets selected from a arraySelect

2006-11-15 22:55  (pedroix)
---------------------------------
includes/main_functions.php
- Make sure only one (the first found) option gets selected from a arraySelect

2006-11-14 14:41  (caseydk)
---------------------------------
.htaccess
- had to adjust to handle upgrades, the old htaccess blocked access to db.php;

2006-11-14 14:39  (caseydk)
---------------------------------
modules/system/roles/index.php
- tweaked to resolve a tabbing error issue;

2006-11-12 17:05  (caseydk)
---------------------------------
classes/dp.class.php
modules/projects/projects.class.php
modules/tasks/projects_tab.view.task_logs.php
- very subtle combination of errors:
-  - if you had a user who was denied access to Companies as a whole, but then allowed access to one, you'd get an ambiguous company_id in the where clause;
-  - in order to correct this, the aliasing mechanism had to be tweaked to add the key when provided but also tweak a couple other queries where a prefix was referenced but not used;
-  - i've tested my modules locally and in my server and haven't found any further problems;

2006-11-11 14:33  (cyberhorse)
---------------------------------
classes/template.class.php
- extended templates to allow modules to supply their own template files (improving management of new modules)

2006-11-07 22:53  (cyberhorse)
---------------------------------
modules/calendar/day_view.php
- cleanup

2006-11-07 14:03  (caseydk)
---------------------------------
modules/files/addedit.php
- tweaking formatting

2006-11-07 14:02  (caseydk)
---------------------------------
modules/system/syskeys/index.php
- changed the translation key

2006-11-06 03:04  (nybod)
---------------------------------
modules/ticketsmith/view.php
- Changed deprecated user_email to contact_email (Mantis 1813)

2006-11-05 21:19  (cyberhorse)
---------------------------------
modules/calendar/addedit.php
modules/calendar/calendar.class.php
modules/calendar/calmgt.php
modules/calendar/clash.php
- clean up code

2006-11-05 20:18  (cyberhorse)
---------------------------------
modules/admin/addedituser.php
modules/admin/admin.class.php
modules/admin/companies_tab.view.users.php
modules/admin/do_perms_aed.php
modules/admin/do_user_aed.php
modules/admin/do_userrole_aed.php
modules/admin/index.php
modules/admin/viewuser.php
modules/admin/vw_usr.php
modules/admin/vw_usr_log.php
modules/admin/vw_usr_perms.php
modules/admin/vw_usr_sessions.php
- update and optimize code

2006-11-05 15:35  (cyberhorse)
---------------------------------
classes/query.class.php
- #1732 - don't add quotes around integers in sql queries (mysql 5 fix)

2006-11-05 15:05  (cyberhorse)
---------------------------------
modules/system/addeditpref.php
- #1814 - updated GET_HTTP_VARS usage to _GET

2006-11-05 14:04  (cyberhorse)
---------------------------------
modules/calendar/calendar.class.php
- initialise event_task and project to 0 (php5/mysql5 fix)

2006-11-05 02:02  (cyberhorse)
---------------------------------
modules/calendar/addedit.php
modules/calendar/calendar.class.php
modules/calendar/view.php
- #1568 - added assigned contacts to the assigned display in calendar view.
- Fixed an sql error when only contacts and no users were displayed.

2006-11-03 02:45  (cyberhorse)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
modules/calendar/addedit.php
modules/calendar/calendar.class.php
modules/calendar/do_event_aed.php
- #1568 - Added contacts to events (to be emailed and to keep track of)

2006-11-02 10:39  (caseydk)
---------------------------------
modules/calendar/calendar.class.php
modules/contacts/contacts.class.php
modules/departments/departments.class.php
modules/files/index_table.php
modules/forums/forums.class.php
modules/links/addedit.php
modules/projects/gantt2.php
modules/public/chpwd.php
modules/public/contact_selector.php
modules/tasks/addedit.php
- removed all the raw sql both commented out and not

2006-11-01 02:05  (pedroix)
---------------------------------
js/base.js
- Opera browser would null the fields of tasks upon add or edit. Not anymore.
- BTW: since navigator.family is propagated throughout the application and we don't know if opera will stick to geckos standards, navigator.family will be set to own opera in case we need evasive manouvres in the future.

2006-10-31 06:32  (caseydk)
---------------------------------
modules/tasks/vw_log_update.php
- scrubbed the old raw sql calls

2006-10-31 06:32  (caseydk)
---------------------------------
modules/tasks/todo.php
- adjusted to reference the actual project_active as opposed to the arbitrary project_status field

2006-10-31 06:31  (caseydk)
---------------------------------
includes/db_connect.php
- removed the old raw db_exec call

2006-10-31 06:30  (caseydk)
---------------------------------
db/dotproject.sql
- cleaned up the creation script to meet PEAR standards and eliminate some mysql5 errors, still 100% mysql4 compliant

2006-10-31 06:28  (caseydk)
---------------------------------
classes/date.class.php
modules/projects/do_project_aed.php
modules/projects/projects.class.php
- importing a bunch of cyberhorse's changes to support reverse imports of projects

2006-10-26 20:53  (cyberhorse)
---------------------------------
modules/tasks/tasks.class.php
- Added some functions to extend functionality.

2006-10-22 05:18  (nybod)
---------------------------------
modules/projects/gantt2.php
modules/projects/projects.class.php
modules/tasks/todo.php
- Removed references to deprecated project_active column in projects table

2006-10-20 09:59  (nybod)
---------------------------------
modules/calendar/calendar.class.php
- Fixed typo at Line 606, extra "=" sign.

2006-10-19 02:00  (merlinyoda)
---------------------------------
modules/calendar/calendar.class.php
- 
- Implementing (reimplementing?) fix for bug 0001557 on stable_2 branch.
- 
- Change was implemented in HEAD branch as of revision 1.50 of
- calendar.class.php, but was not implemented in the stable_2 branch.

2006-10-19 00:29  (merlinyoda)
---------------------------------
modules/calendar/calendar.class.php
modules/calendar/calendar.class.php
- 
- Modified query code for recursive/non-recursive events around line 539.
- Gets around object cloning/version skewing issue between PHP 4 and PHP 5.
- Should probably have been created and managed independently anyway.

2006-10-18 20:52  (nybod)
---------------------------------
classes/libmail.class.php
- Modified regex to accept email address containing sub-domain.

2006-10-18 05:20  (theideaman)
---------------------------------
classes/libmail.class.php
- fixed CheckAdresses method to return true if addresses validate. Added CheckAddresses alias method to fix typo.

2006-10-18 00:33  (cyberhorse)
---------------------------------
modules/tasks/todo_tasks_sub.php
- fixed sql error when no todo tasks are available.

2006-10-17 01:05  (cyberhorse)
---------------------------------
includes/db_connect.php
- modified some sql to go through the sql query class

2006-10-16 12:19  (caseydk)
---------------------------------
modules/tasks/tasks.class.php
modules/tasks/todo.php
classes/ui.class.php
- cleaned up some formatting

2006-10-15 23:00  (cyberhorse)
---------------------------------
modules/tasks/tasks.class.php
- fixed an sql error

2006-10-15 03:25  (caseydk)
---------------------------------
modules/projects/view.php
- removed a bunch of deprecated code from modules/projects/view.php

2006-10-15 03:25  (caseydk)
---------------------------------
modules/projects/projects.class.php
- removed a bunch of deprecated code from modules/projects/projects.class.php

2006-10-15 03:24  (caseydk)
---------------------------------
modules/projects/index.php
- removed a bunch of deprecated code from modules/projects/index.php

2006-10-15 03:24  (caseydk)
---------------------------------
modules/calendar/index.php
- removed a bunch of deprecated code from modules/calendar/index.php

2006-10-15 03:23  (caseydk)
---------------------------------
classes/dp.class.php
- cleaned up some formatting

2006-10-14 22:32  (caseydk)
---------------------------------
modules/tasks/do_task_aed.php
- cleaned up some formatting

2006-10-13 01:10  (cyberhorse)
---------------------------------
style/dp-grey-theme/header.html
style/dp-grey-theme/main.css
style/dp-grey-theme/tabBox.html
- fixed tab display completely

2006-10-13 00:48  (cyberhorse)
---------------------------------
style/dp-grey-theme/tabBox.html
- fixed tabs display (looked half broken)

2006-10-13 00:46  (cyberhorse)
---------------------------------
style/default/tabBox.html
style/dp-grey-theme/tabBox.html
- work towards fixing javascript tabs styles (when changing tabs, change styles as well)

2006-10-12 08:43  (merlinyoda)
---------------------------------
fileviewer.php
- 
- Added code to resolve issues in IE/HTTPS with file download links that
- go through fileviewer.php.

2006-10-12 08:33  (merlinyoda)
---------------------------------
fileviewer.php
- 
- Added code to resolve issues in IE/HTTPS with file  download links that
- use through fileviewer.php

2006-10-12 00:17  (pedroix)
---------------------------------
modules/tasks/tasks.class.php
- clearReminder was not working. This method was trying to find nothing because the id field of a task is named "task_id" and not just "id". Therefore nothing was being cleared through this method.

2006-10-12 00:10  (pedroix)
---------------------------------
modules/tasks/tasks.class.php
- clearReminder was not working. This method was trying to find nothing because the id field of a task is named "task_id" and not just "id". Therefore nothing was being cleared through this method.

2006-10-08 22:03  (nybod)
---------------------------------
classes/template.class.php
- Corrected small typo causing div by zero error

2006-10-08 07:33  (caseydk)
---------------------------------
.htaccess
- forgot to add fileviewer.php to the allow list

2006-10-08 07:19  (caseydk)
---------------------------------
db/upgrade_latest.sql
- cleaned up some of the formating, applied some (mysql4 compatible) mysql5 fixes such as inserting null instead of '' for keys

2006-10-08 07:12  (caseydk)
---------------------------------
.htaccess
- Locked this thing down like there's no tomorrow, got the idea from Drupal

2006-10-05 02:10  (pedroix)
---------------------------------
classes/query.class.php
- Backported loadHash and addReplace methods to stable_2

2006-10-05 00:26  (cyberhorse)
---------------------------------
modules/system/do_systemconfig_aed.php
- #1654 - handle adding extra slashes

2006-10-04 23:40  (cyberhorse)
---------------------------------
modules/contacts/companies_tab.view.contacts.php
- #1787 - fixed tab to use contact list

2006-10-04 23:25  (cyberhorse)
---------------------------------
modules/contacts/select_contact_company.php
- #1787 - fixed selecting company with ' in contacts
- fixed a few xhtml compatibility issues
- optimised files

2006-10-03 21:26  (gregorerhardt)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
modules/tasks/do_task_aed.php
modules/tasks/tasks.class.php
- save checkbox state: set start based on dependency

2006-10-03 20:12  (gregorerhardt)
---------------------------------
classes/date.class.php
modules/smartsearch/searchobjects/events.inc.php
modules/smartsearch/searchobjects/projects.inc.php
modules/smartsearch/searchobjects/tasks.inc.php
modules/tasks/do_task_aed.php
modules/tasks/tasks.class.php
- task dependency shifting and fix for custom fields smartsearch

2006-10-03 20:12  (gregorerhardt)
---------------------------------
modules/tasks/tasks.class.php
- comment completed

2006-10-03 00:02  (cyberhorse)
---------------------------------
classes/template.class.php
locales/en/contacts.inc
modules/contacts/index.php
modules/contacts/list.php
- #1281 - added contacts list display

2006-09-30 02:58  (caseydk)
---------------------------------
lib/adodb/adodb-time.zip
- removed corrupted file (adodb-time.zip), does not seem to be used anywhere;

2006-09-28 00:24  (cyberhorse)
---------------------------------
locales/en/system.inc
- Added translation strings for new TIMEZONE setting

2006-09-25 09:08  (caseydk)
---------------------------------
classes/CustomFields.class.php
classes/query.class.php
- cleaned up the identation for clarity, nothing major;

2006-09-24 21:06  (cyberhorse)
---------------------------------
classes/permissions.class.php
includes/main_functions.php
modules/calendar/addedit.php
modules/calendar/calendar.class.php
- #1567 - improved contacts display

2006-09-24 19:38  (cyberhorse)
---------------------------------
includes/main_functions.php
- made task list use the user display style config option

2006-09-24 18:58  (cyberhorse)
---------------------------------
modules/system/do_preference_aed.php
- some optimizations added to system preferences saving - only update user settings at the end and only if the saved settings are for the current user

2006-09-24 18:33  (cyberhorse)
---------------------------------
includes/session.php
- #1757 - sessions being overwriten by latest logged in user.

2006-09-24 18:01  (cyberhorse)
---------------------------------
includes/main_functions.php
modules/calendar/do_event_aed.php
modules/forums/forums.class.php
modules/projects/do_project_aed.php
classes/date.class.php
modules/calendar/calendar.class.php
modules/calendar/day_view.php
modules/tasks/do_task_aed.php
- Local timezone changes.

2006-09-24 15:46  (cyberhorse)
---------------------------------
modules/forums/view_topics.php
- fixed problem with forums tab in projects

2006-09-24 14:41  (cyberhorse)
---------------------------------
modules/tasks/tasks.class.php
- Extra function added to find start dates

2006-09-20 19:37  (pedroix)
---------------------------------
modules/tasks/tasks.php
- Minor bug on tasks search feature upon search box reset.
- http://www.dotproject.net/vbulletin/showthread.php?p=24667

2006-09-19 00:27  (nybod)
---------------------------------
classes/libmail.class.php
- Modified regex to accept email address containing sub-domain.

2006-09-17 20:44  (cyberhorse)
---------------------------------
includes/main_functions.php
- prepare for user timezone changes

2006-09-17 17:28  (cyberhorse)
---------------------------------
classes/template.class.php
- setup calendar display as a template function

2006-09-17 17:21  (cyberhorse)
---------------------------------
db/dotproject.sql
db/upgrade_latest.sql
- Added TIMEZONE preference (to be used for userbased timezone configuration

2006-09-17 16:32  (cyberhorse)
---------------------------------
modules/tasks/tasks.php
- formatting improved

2006-09-17 16:13  (cyberhorse)
---------------------------------
modules/projects/projects.class.php
- added a couple of extra checks
- added a few new handy functions (to calculate proj start/end dates)

2006-09-17 15:50  (cyberhorse)
---------------------------------
includes/db_connect.php
- allow html entities in db - clean them up on display.

2006-09-15 09:58  (gregorerhardt)
---------------------------------
modules/tasks/do_task_aed.php
modules/tasks/tasks.class.php
- prefer tue 16:00 over wed 8:00 as an end date

2006-09-15 05:19  (gregorerhardt)
---------------------------------
classes/date.class.php
modules/tasks/do_task_aed.php
modules/tasks/tasks.class.php
- calculating task dependency shifting via task_end_date + task time span

2006-09-10 05:55  (caseydk)
---------------------------------
modules/admin/do_user_aed.php
- made fix for #1607 - problems when you'd want to associate a new user with an existing contact;

2006-09-09 18:48  (gregorerhardt)
---------------------------------
ChangeLog
modules/tasks/do_task_aed.php
modules/tasks/tasks.class.php
- minor changes to tasks dependency mgt

2006-09-08 09:44  (caseydk)
---------------------------------
modules/projects/index.php
modules/projects/projects.class.php
modules/projects/vw_idx_active.php
modules/projects/vw_idx_archived.php
modules/projects/vw_idx_complete.php
modules/projects/vw_idx_list.php
modules/projects/vw_idx_proposed.php
- refactored all the vw_idx into one

2006-09-06 19:00  (gregorerhardt)
---------------------------------
modules/tasks/do_task_aed.php
classes/date.class.php
- calc start date now on server-side, allow empty start date and fix for day-based shifting

2006-09-06 07:47  (gregorerhardt)
---------------------------------
classes/date.class.php
- wrong var call

2006-09-06 04:25  (gregorerhardt)
---------------------------------
modules/tasks/ae_dates.php
- corrected amPm settingfor start date based on cal start day value

2006-09-06 03:05  (gregorerhardt)
---------------------------------
modules/tasks/do_task_aed.php
- remove development testing code

2006-09-06 03:03  (gregorerhardt)
---------------------------------
classes/date.class.php
modules/tasks/do_task_aed.php
- duration and dateDifference calc fixes, more verbose comments

2006-09-04 03:37  (gregorerhardt)
---------------------------------
classes/date.class.php
modules/tasks/do_task_aed.php
modules/tasks/tasks.class.php
classes/date.class.php
modules/tasks/do_task_aed.php
modules/tasks/tasks.class.php
- tasks dependency shifting - finally fixed?

2006-09-03 18:18  (gregorerhardt)
---------------------------------
images/information.png
- adding sys config info graphic

2006-09-03 18:01  (caseydk)
---------------------------------
modules/tasks/do_task_aed.php
- cleaned up the identation;
- fixed the date shifting for dependencies... it works!

2006-09-03 18:00  (caseydk)
---------------------------------
modules/tasks/addedit.js
- handled the infinite loop when either date is null

2006-09-03 18:00  (caseydk)
---------------------------------
classes/date.class.php
- cleaned up the identation

2006-09-03 01:35  (caseydk)
---------------------------------
modules/tasks/vw_tasks.php
- cleaned up the identation

2006-09-03 01:34  (caseydk)
---------------------------------
modules/companies/vw_companies.php
- removed some commented code

2006-09-02 21:49  (gregorerhardt)
---------------------------------
modules/forums/index.php
- 1663 - explicit cast in forums My Company Filter for AppUI user_company

2006-09-02 21:38  (gregorerhardt)
---------------------------------
js/base.js
- 1669 - task addedit js nodeAdding fixed for hidden type with OPERA

2006-09-01 10:16  (caseydk)
---------------------------------
includes/version.php
- updated this to current

2006-09-01 08:41  (caseydk)
---------------------------------
modules/projects/view.php
- removed my debug statement.  :(

2006-09-01 08:40  (caseydk)
---------------------------------
modules/projects/view.php
- removed the additional AND clause, it made projects with zero tasks not display;

2006-08-26 01:53  (caseydk)
---------------------------------
classes/libmail.class.php
- fix for bug - 0001756: SMTP 451 error sending SMTP mail

2006-08-26 01:41  (caseydk)
---------------------------------
db/upgrade_20_to_201.sql
- updated for mysql 5 compliance

2006-08-23 02:29  (gregorerhardt)
---------------------------------
classes/dp.class.php
- 1705: revert to old state of no key in table call

2006-08-23 01:58  (gregorerhardt)
---------------------------------
classes/dp.class.php
modules/calendar/index.php
- 1705: add table key to setAllowedSQL query

2006-08-23 01:22  (gregorerhardt)
---------------------------------
modules/calendar/index.php
- 1705: replace deprecated getAllowedSql

2006-08-21 04:37  (gregorerhardt)
---------------------------------
modules/tasks/tasks.class.php
- fixing task dependency shifting bug for recursive dependencies

2006-08-21 04:11  (gregorerhardt)
---------------------------------
modules/tasks/tasks.class.php
- fixing task dependency shifting bug for recursive dependencies

2006-08-20 21:47  (gregorerhardt)
---------------------------------
modules/calendar/index.php
- added link for adding an event

2006-08-20 21:29  (gregorerhardt)
---------------------------------
modules/admin/vw_usr.php
- corrected ACL for delete perms

2006-08-20 21:25  (gregorerhardt)
---------------------------------
LICENSE
images/icons/group_key.png
- added icon and link for roles

2006-08-20 19:59  (gregorerhardt)
---------------------------------
modules/projects/reports/stats.php
- prepared for translation

2006-08-20 05:01  (caseydk)
---------------------------------
modules/tasks/todo.php
- the "show archived projects" was based on having a particular project_status instead of a project_active

2006-08-19 07:45  (merlinyoda)
---------------------------------
locales/en/system.inc
- 
- Added some values that were missing for the English version of
- the "system.inc" translation file.

2006-08-17 21:24  (cyberhorse)
---------------------------------
modules/calendar/index.php
- fixed issue with IS (not recognizing onchange for checkboxes - changed to
- onclick)

2006-08-17 02:57  (caseydk)
---------------------------------
modules/tasks/vw_tasks.php
- someone tweaked the default ordering to be task_name, task_end_date which makes no sense from a PM perspective;
- i've changed it back to task_start_date, task_end_date as the default;

2006-08-17 02:12  (caseydk)
---------------------------------
modules/tasks/tasks.php
- the removed tables and fields are already in the query and throwing sql errors as a result

2006-08-16 22:16  (cyberhorse)
---------------------------------
modules/files/index.php
modules/files/index_table.php
- fixed file category tabs and general display

2006-08-16 21:51  (cyberhorse)
---------------------------------
modules/tasks/tasksperuser_sub.php
- fixed view user link
- fixed xhtml

2006-08-16 20:55  (cyberhorse)
---------------------------------
modules/tasks/todo_tasks_sub.php
- applied css styles to task statuses

2006-08-14 21:04  (caseydk)
---------------------------------
modules/projects/projects.class.php
- line 554:  a missing comma merged two column names and resulted in a sql error.

2006-08-10 08:19  (merlinyoda)
---------------------------------
db/upgrade_latest.php
- 
- Added 2 lines of code in upgrade_latest so that the 'session_user' column
- is present 'sessions' table. Sessions may be joined to a user id in
- the database. This was also necessary to get the "Active Sessions" tab under
- "User Admin" working in stable_2

2006-08-09 23:26  (cyberhorse)
---------------------------------
style/tasks.css
- add border to task colours - better to see

2006-08-09 23:06  (cyberhorse)
---------------------------------
modules/admin/addedituser.php
- only look for user department for existing users

2006-08-09 22:58  (cyberhorse)
---------------------------------
modules/admin/addedituser.php
modules/admin/do_user_aed.php
- fixed department saving in user

2006-08-08 07:48  (merlinyoda)
---------------------------------
db/upgrade_to_204.php
modules/projects/view.php
modules/tasks/tasks.php
- 
- Fixed problem with "empty" projects not properly displaying information
- on project/task view pages after 1737 bug fix.

2006-08-06 23:48  (cyberhorse)
---------------------------------
modules/tasks/ae_dates.php
modules/tasks/ae_depend.php
modules/tasks/ae_resource.php
- smartified some of the task tabs and fixed some other minor things

2006-08-06 19:48  (cyberhorse)
---------------------------------
modules/public/calendar.php
modules/tasks/addedit.js
- smartified the popup calendar

2006-08-05 01:32  (merlinyoda)
---------------------------------
modules/projects/projects.class.php
modules/projects/view.php
modules/tasks/tasks.php
- 
- Fixed project percent complete calculation in similiar manner to stable_2
- fix for bug report 1737

2006-08-04 09:44  (merlinyoda)
---------------------------------
modules/projects/projects.class.php
modules/projects/view.php
modules/tasks/tasks.php
- Related to Bug Report 1737:
- 
- Fixed project percentage complete calculations based on submitter's suggestions.

2006-08-01 16:18  (ajdonnison)
---------------------------------
modules/projects/reports/tasklist.php
- Fixed bug in getting project title.

2006-08-01 15:57  (ajdonnison)
---------------------------------
modules/projects/reports/tasksperuser.php
- Changes to support PDF output.

2006-08-01 07:37  (merlinyoda)
---------------------------------
modules/system/do_systemconfig_aed.php
- 
- Added hidden form fields for "config_group" and "config_type" fields for
- system config page. Add/Edit page for system config takes new values from
- POST and assings them to the proper object variable to be stored.
- Previous setup would "forget" these values and assign blank values into
- many of the database fields, causing a loss of needed information.
- 
- Also fixed checkbox functionality on system config page. Value
- attributes for checkboxes were being set to their previous values instead
- of "true" when checked. Since POST data is only passed along by *checked*
- checkbox items, newly uncheck items remained unchanged (the values
- weren't posted to be updated) and newly checked items were passing their
- old value of "false" (old value passed to POST instead of "true", new
- value). Unchenged valued were unaffected.

2006-08-01 03:15  (merlinyoda)
---------------------------------
modules/admin/vw_usr_sessions.php
- 
- Another "Active Sessions" tweak. Correted Company "order by" link.

2006-08-01 03:09  (merlinyoda)
---------------------------------
locales/en/admin.inc
locales/en/common.inc
- 
- Tweaked "Active Session" tab display. Added text strings for
- "Active Sessions" to translation file (English).
- 
- Also fixed bug on "System Configuration" page that caused the improper
- value to be assigned to the database on for "select" fields.

2006-08-01 02:42  (merlinyoda)
---------------------------------
modules/admin/vw_usr_sessions.php
- 
- Another display tweak for "Active Session" tab in admin module.

2006-08-01 02:35  (merlinyoda)
---------------------------------
locales/en/admin.inc
modules/admin/vw_usr_sessions.php
- 
- Tweeked display on "Active Session" tab in admin module.
- Added text strings to translation files (English).

2006-07-31 21:54  (nybod)
---------------------------------
modules/companies/vw_depts.php
- Function 'findchilddept' renamed to avoid naming clash when viewed in flat view (fix taken from HEAD code)

2006-07-30 19:30  (cyberhorse)
---------------------------------
classes/permissions.class.php
- turn caching on by default (grr this got lost in one of my other updates)

2006-07-30 14:55  (cyberhorse)
---------------------------------
images/applet-48.png
- added file here (fixes some broken images)

2006-07-30 14:54  (cyberhorse)
---------------------------------
modules/forums/view_topics.php
- made sure $tpl is visible

2006-07-30 14:54  (cyberhorse)
---------------------------------
modules/tasks/gantt.php
- fixed sql (project_active doesn't exist anymore)

2006-07-29 01:51  (merlinyoda)
---------------------------------
modules/admin/vw_usr_sessions.php
- 
- Adding code for "Active Sessions" tab

2006-07-29 01:42  (merlinyoda)
---------------------------------
includes/session.php
modules/admin/index.php
- 
- Modified code to accept "Active Sessions" tab. Will be adding file for
- "Active Sessions" tab shortly.

2006-07-29 01:38  (merlinyoda)
---------------------------------
modules/admin/index.php
- 
- Minor coding style change around code for "Active Sessions" tab.

2006-07-28 06:50  (merlinyoda)
---------------------------------
includes/main_functions.php
modules/files/addedit.php
modules/files/do_file_aed.php
- 
- Fix for Bug Report 1700:
- Applied more permanent and consistant fix than a previous fix that I applied
- to stable_2. Redirect to link supplied by "getPlace" method in "UI" class.
- 
- Also, edited a URL string in includes/main_functions.php to make it more
- complient with XHTML (replaced lone '&' with '&amp;')

2006-07-28 06:43  (merlinyoda)
---------------------------------
modules/files/addedit.php
- 
- Fix for Bug Report 1700:
- Applied more permanent and consistant fix. Redirect to link supplied
- by "getPlace" method in "UI" class.

2006-07-28 06:29  (merlinyoda)
---------------------------------
includes/main_functions.php
modules/files/addedit.php
- Fixed bug 1700:
- Pressing the cancel button in the file add/edit page causes the user's
- browser to go back in the user's history one page (after confirmation).
- 
- Also modified part of a URL string in includes/main_functions.php to
- conform with XHTML standards ( '&' to '&amp;' )

2006-07-28 05:16  (nybod)
---------------------------------
modules/admin/viewuser.php
modules/admin/vw_usr_log.php
modules/calendar/addedit.php
modules/calendar/clash.php
modules/projects/addedit.php
modules/projects/viewgantt.php
modules/projects/reports/allocateduserhours.php
modules/projects/reports/overall.php
modules/projects/reports/taskenddate.php
modules/projects/reports/tasklist.php
modules/projects/reports/tasklogs.php
modules/projects/reports/tasksperuser.php
modules/projects/reports/userperformance.php
modules/tasks/tasksperuser_sub.php
modules/tasks/view.php
modules/tasks/viewgantt.php
modules/tasks/vw_log_update.php
- Corrected spelling and syntax - from scollbars=false (note spelling) to scrollbars=no

2006-07-28 05:09  (nybod)
---------------------------------
modules/admin/viewuser.php
modules/admin/vw_usr_log.php
modules/calendar/addedit.php
modules/calendar/clash.php
modules/projects/addedit.php
modules/projects/viewgantt.php
modules/tasks/tasksperuser_sub.php
modules/tasks/view.php
modules/tasks/viewgantt.php
modules/tasks/vw_log_update.php
- Corrected spelling and syntax - from scollbars=false (note spelling) to scrollbars=no

2006-07-28 02:14  (cyberhorse)
---------------------------------
classes/template.class.php
- [no log message]

2006-07-28 01:26  (cyberhorse)
---------------------------------
modules/system/addeditpref.php
- added Y-m-d to the date formats users can chose from

2006-07-27 17:54  (gregorerhardt)
---------------------------------
classes/CustomFields.class.php
modules/smartsearch/searchobjects/events.inc.php
modules/smartsearch/searchobjects/projects.inc.php
modules/smartsearch/searchobjects/tasks.inc.php
- smartsearch for custom fields: keyword highlighting

2006-07-26 06:29  (merlinyoda)
---------------------------------
classes/dp.class.php
modules/projects/projects.class.php
modules/tasks/listtasks.php
modules/tasks/tasks.class.php
- Fixed Bug 1709:
- Added function "dPTrimAll" to main dP class. Only class variables of string
- types are trimmed. Trim function is called immediately before the modules
- respective "store" function. Exception is made in task module. The task log
- description field value is preserved and restored after the parent function
- is called.
- 
- Also modified code under the task module to make the "Last Update" field
- and the highlighted status color more "accurate" by using the history
- module if present as opposed to the last task log. Noted need for "actual"
- end date  field for a given task in code.

2006-07-26 06:24  (merlinyoda)
---------------------------------
classes/dp.class.php
modules/companies/companies.class.php
modules/companies/do_company_aed.php
modules/projects/do_project_aed.php
modules/projects/projects.class.php
modules/tasks/do_task_aed.php
modules/tasks/do_task_assign_aed.php
modules/tasks/do_updatetask.php
modules/tasks/tasks.class.php
- Fixed Bug 1709:
- Added function "dPTrimAll" to main dP class. Only class variables of string
- types are trimmed. Trim function is called immediately before the modules
- respective "store" function. Exception is made in task module. The task log
- description field value is preserved and restored after the parent function
- is called.

2006-07-25 00:22  (gregorerhardt)
---------------------------------
classes/CustomFields.class.php
classes/customfieldsparser.class.php
modules/system/custom_field_addedit.php
- custom fields: weblink type and smartsearch plugin helper method prepared for implementation when smartsearch is redesigned

2006-07-24 23:54  (gregorerhardt)
---------------------------------
classes/CustomFields.class.php
classes/customfieldsparser.class.php
modules/projects/reports/allocateduserhours.php
modules/smartsearch/searchobjects/events.inc.php
modules/smartsearch/searchobjects/files.inc.php
modules/smartsearch/searchobjects/projects.inc.php
modules/smartsearch/searchobjects/tasks.inc.php
modules/smartsearch/searchobjects/tickets.inc.php
modules/system/custom_field_addedit.php
modules/system/custom_field_editor.php
- custom fields: new type weblink and smart searchability

2006-07-23 06:21  (nybod)
---------------------------------
functions/tasks_func.php
modules/tasks/view.php
- Fix to read TaskPriority from sysvals

2006-07-20 22:48  (cyberhorse)
---------------------------------
modules/tasks/viewgantt.php
- fixed one of the gantt chart displays

2006-07-19 23:30  (merlinyoda)
---------------------------------
modules/projects/vw_logs.php
modules/projects/vw_logs.php
- 
- Fixed Bug 1726:
- The project module's "vw_logs.php" was improperly checking the value of
- "$canEdit" to determine if the delete icon should be displayed. Replaced
- "$canEdit" with "$canDelete".

2006-07-19 08:01  (merlinyoda)
---------------------------------
modules/files/co.php
modules/files/do_file_co.php
- 
- Modification relating to Bug report# 1694:
- 
- Modified and moved code for related to "file checkout" popup window in
- order to be more compatible with "less-intelligent" popup blockers. Also
- added menu bar on popup window to ease saving files that don't trigger
- open/save dialogs (i.e. displayed in browser)

2006-07-19 07:56  (merlinyoda)
---------------------------------
modules/files/co.php
modules/files/do_file_co.php
- 
- Modification relating to Bug report# 1694:
- 
- Modified and moved code for related to "file checkout" popup window in
- order to be more compatible with "less-intelligent" popup blockers. Also
- added menu bar on popup window to ease saving files that don't trigger
- open/save dialogs (i.e. displayed in browser)

2006-07-19 00:53  (cyberhorse)
---------------------------------
modules/companies/index.php
- default company tab to "all" (flat view is broken - shouldn't be used)

2006-07-19 00:52  (cyberhorse)
---------------------------------
modules/admin/do_user_aed.php
- Updated tab number redirection after user creation

2006-07-19 00:30  (cyberhorse)
---------------------------------
modules/companies/vw_depts.php
- fixed misspelling

2006-07-18 00:05  (cyberhorse)
---------------------------------
classes/permissions.class.php
db/dotproject.sql
db/upgrade_latest.sql
locales/en/system.inc
modules/tasks/tasks.class.php
- Add a system configuration variable to control the default depenndency state for all newly created tasks.

2006-07-17 01:05  (cyberhorse)
---------------------------------
modules/tasks/do_task_aed.php
- Add save & new button on addedit task to allow for faster task creation (skipping one step)

2006-07-13 22:50  (cyberhorse)
---------------------------------
modules/tasks/viewgantt.php
- xhtml compatibility fixed
- gantt charts size and display fixed

2006-07-12 14:30  (ajdonnison)
---------------------------------
modules/tasks/tasks.class.php
- Reordered query to get around LEFT JOIN constraints in MySQL 5

2006-07-11 23:00  (cyberhorse)
---------------------------------
modules/smartsearch/index.php
- moved smarty title to index page via CTitleBlock

2006-07-09 16:56  (cyberhorse)
---------------------------------
classes/ui.class.php
- Added a default icon for CTitleBlock if empty one is passed.

2006-07-09 16:33  (cyberhorse)
---------------------------------
modules/contacts/index.php
- expanded the functionality of contact alphabet search map to include first and last name starting letters as well as the "order by" field.

2006-07-09 15:26  (cyberhorse)
---------------------------------
modules/companies/vw_depts.php
- functions renamed to avoid naming clash

2006-07-09 15:23  (cyberhorse)
---------------------------------
modules/history/index.php
- fixed $tpl missing error

2006-07-07 22:46  (merlinyoda)
---------------------------------
modules/tasks/tasks.php
- Fixed Bug 1701:
- Table "user_tasks" needed to be prepended to $from instead of appended so
- that the result was "user_tasks, tasks" instead of "tasks, user_tasks".
- This was messing up the following join statement as it was trying to
- join using wrong table.

2006-07-07 07:19  (merlinyoda)
---------------------------------
db/dotproject.sql
- 
- applying fixes for Bug #1713 and Bug # 1714 to HEAD Branch:
- 
- Fixed Bug 1713:
- changed instances of "VALUES (''" and "VALUES (NULL" to "VALUES (0"
- for relevant columns (mainly for numeric ID column on "config" table)
- 
- ... minor code cosmetic changes also.
- changed "INSERT INTO config " to "INSERT INTO `config`" for purposes of
- code regularity.
- 
- Fixed trivial bug #1714:
- 
- changed version number string from '2.0.2' to '2.0.4'

2006-07-07 07:07  (merlinyoda)
---------------------------------
db/dotproject.sql
- 
- Fixed Bug 1713:
- changed instances of "VALUES (''" and "VALUES (NULL" to "VALUES (0"
- for relevant columns (mainly for numeric ID column on "config" table)
- 
- ... minor code cosmetic changes also.
- changed "INSERT INTO config " to "INSERT INTO `config`" for purposes of
- code regularity.

2006-07-07 06:29  (merlinyoda)
---------------------------------
db/dotproject.sql
- 
- Fixed trivial bug #1714:
- 
- changed version number string from '2.0.2' to '2.0.4'

2006-07-06 17:48  (ajdonnison)
---------------------------------
modules/tasks/tasks.php
- Added fix for MySQL 5.x restriction on LEFT JOIN

2006-07-02 08:45  (nybod)
---------------------------------
modules/projects/reports/tasklist.php
modules/projects/reports/tasksperuser.php
- Moved $q->clear(); to pickup all users assigned to task, and other fix.

2006-06-28 00:56  (gregorerhardt)
---------------------------------
modules/contacts/select_contact_company.php
- contact company selector smartified

2006-06-28 00:30  (gregorerhardt)
---------------------------------
modules/calendar/clash.php
- event clashing pages smartified

2006-06-27 23:28  (gregorerhardt)
---------------------------------
modules/calendar/do_webcal_process.php
modules/calendar/webcal_mgt.php
- converted webcal mgt to smarty

2006-06-27 04:02  (gregorerhardt)
---------------------------------
style/default/main.css
- created own style description for tbl2 class

2006-06-27 03:43  (gregorerhardt)
---------------------------------
modules/calendar/calendar.class.php
- typo fix in event clash mail

2006-06-25 05:21  (cyberhorse)
---------------------------------
modules/system/addeditpref.php
- PHP >5.0.4 fix

